<?php

namespace Database\Factories;

use App\Category;
use App\Cell;
use App\Company;
use App\District;
use App\Membership;
use App\Sector;
use App\Small_group;
use App\Status;
use App\Village;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Carbon;

class MembershipFactory extends Factory
{
    protected $model = Membership::class;

    public function definition(): array
    {
        return [
            'firstname' => $this->faker->firstName(),
            'lastname' => $this->faker->lastName(),
            'phone_number' => $this->faker->phoneNumber(),
            'church_register_page' => $this->faker->randomNumber(),
            'created_at' => Carbon::now(),
            'updated_at' => Carbon::now(),
            'membership_date' => $this->faker->date(),
            'origin_church' => $this->faker->country(),
            'observation' => $this->faker->word(),
            'employment_status' => $this->faker->randomElements([
                'Full Time', 'Part Time', 'Contract', 'Freelance'
            ]),
            'marital_status' => $this->faker->randomElements([
                'Single', 'Married', 'Divorced', 'Widowed'
            ]),
            'phone_number_2' => $this->faker->phoneNumber(),
            'company_id' => Company::query()->inRandomOrder()->first()->id,
            'district_id' => District::query()->inRandomOrder()->first()->id,
            'sector_id' => Sector::query()->inRandomOrder()->first()->id,
            'cell_id' => Cell::query()->inRandomOrder()->first()->id,
            'village_id' => Village::query()->inRandomOrder()->first()->id,
            'category_id' => Category::query()->inRandomOrder()->first()->id,
            'status_id' => Status::query()->inRandomOrder()->first()->id,
            'small_group_id' => Small_group::query()->inRandomOrder()->first()->id,
        ];
    }
}
