<?php

namespace Database\Factories;

use App\Company;
use App\Small_group;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Carbon;

class Small_groupFactory extends Factory
{
    protected $model = Small_group::class;

    public function definition(): array
    {
        return [
            'group_name' => $this->faker->name(),
            'group_leader' => $this->faker->name(),
            'leader_phone_number' => $this->faker->phoneNumber(),
            'description' => $this->faker->text(),
            'created_at' => Carbon::now(),
            'updated_at' => Carbon::now(),
            'company_id' => Company::query()->inRandomOrder()->first()->id
        ];
    }
}
