<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateMembershipsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('memberships', function (Blueprint $table) {
            $table->id();
            $table->integer('company_id')->unsigned();
            $table->string('firstname',50);
            $table->string('lastname',50);
            $table->string('phone_number');
            $table->integer('district_id')->nullable()->unsigned();
            $table->integer('sector_id')->nullable()->unsigned();
            $table->integer('cell_id')->nullable()->unsigned();
            $table->integer('village_id')->nullable()->unsigned();
            $table->string('category_id',50);
            $table->string('status_id',50);
            $table->integer('church_register_page')->nullable();
            $table->integer('small_group_id')->unsigned();
            $table->timestamps();
        });


    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('memberships');
    }
}
