<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Spatie\Permission\Models\Permission;

class AddPermissionsData extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        //
        DB::beginTransaction();
        $data = [
            "Manage Membership",
            "Manage Users",
            "Manage Offering Types",
            "Manage Payment Options",
            "Manage Small Groups",
            "Manage Reports",
            "Manage Companies",
            "View Visit History",
            "Manage Tithe",
            "Manage Small Groups",
            "Manage Report Definition",
            "Manage Reporting Data",
            "Manage Indicator Definition",
        ];

        foreach ($data as $d) {
            $check = Permission::query()->where("name", "=", $d)->count() <= 0;
            if ($check) {
                $permission = new Permission();
                $permission->name = $d;
                $permission->guard_name = "web";
                $permission->save();
            }
        }

        DB::commit();
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
