<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateReportingDataTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('reporting_data', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('report_id');
            $table->string('submitted_by');
            $table->date('date')->nullable();
            $table->integer('month')->nullable();
            $table->integer('quarter')->nullable();
            $table->integer('year')->nullable();
            $table->timestamps();

            $table->foreign('report_id')->references('id')->on('report_definitions');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('reporting_data');
    }
}
