<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddForeginToMembershipsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('memberships', function (Blueprint $table) {
            //
            $table->unsignedBigInteger("company_id")->change();
            $table->unsignedBigInteger("small_group_id")->change();
            $table->unsignedBigInteger("district_id")->nullable()->change();
            $table->unsignedBigInteger("sector_id")->nullable()->change();
            $table->unsignedBigInteger("cell_id")->nullable()->change();
            $table->unsignedBigInteger("village_id")->nullable()->change();
            $table->unsignedBigInteger("status_id")->nullable()->change();
            $table->unsignedBigInteger("category_id")->nullable()->change();

            $table->foreign("company_id")->on("companies")->references("id");
            $table->foreign("small_group_id")->on("small_groups")->references("id");
            $table->foreign("district_id")->on("districts")->references("id");
            $table->foreign("cell_id")->on("cells")->references("id");
            $table->foreign("village_id")->on("villages")->references("id");
            $table->foreign("status_id")->on("statuses")->references("id");
            $table->foreign("category_id")->on("categories")->references("id");
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('memberships', function (Blueprint $table) {
            //
        });
    }
}
