<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateReportSubmissionDataTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('report_submission_data', function (Blueprint $table) {
            $table->id();

            $table->unsignedBigInteger("submission_id");
            $table->unsignedBigInteger("indicator_id");
            $table->text("indicator_value");


            $table->foreign("submission_id")->on("report_submissions")->references("id");
            $table->foreign("indicator_id")->on("indicator_definitions")->references("id");


            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('report_submission_data');
    }
}
