<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class Expenses extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        //
        Schema::create("expenses",function (Blueprint $table){
           $table->id();
           $table->unsignedBigInteger("expense_category_id")->nullable();
           $table->string("expense_name");
           $table->integer("amount");
           $table->string("description");
           $table->string("requested_by",100);
           $table->unsignedBigInteger("company_id")->nullable();
           $table->foreign("company_id")->on("companies")->references("id");
           $table->date("expense_date");
        });

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
        Schema::dropIfExists('expenses');
    }
}
