<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('tithe_offering_bases', function (Blueprint $table) {
            $table->id();
            $table->foreignIdFor(\App\User::class)->constrained();
            $table->enum('source', \App\TitheOfferingBase::sources());
            $table->foreignIdFor(\App\Company::class)->constrained();
            $table->string('status')->default(\App\AppStatus::PENDING);
            $table->timestamps();
        });
        Schema::table('tithe_and_offerings', function (Blueprint $table) {
            $table->foreignIdFor(\App\TitheOfferingBase::class)->nullable()->constrained();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('tithe_and_offerings', function (Blueprint $table) {
            $table->dropConstrainedForeignIdFor(\App\TitheOfferingBase::class);
        });
        Schema::dropIfExists('tithe_offering_bases');
    }
};
