<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});


Route::get('/districts', 'HomeController2@districts');
Route::get('/sectors/{id}/district', 'HomeController2@sectors');
Route::get('/cells/{id}/sector', 'HomeController2@cells');
Route::get('/villages/{id}/cell', 'HomeController2@villages');
Route::post('/register/user', 'HomeController2@saveIndividual');
Route::post('/companyAuth', 'HomeController2@companyAuthentication');
Route::get('/visits/{id}/client', 'HomeController2@visits');
Route::get('/findByPhone/{phone}', 'HomeController2@findByPhone');
Route::get('/visits/{id}/company', 'HomeController2@visitsComp');
Route::post('/visitCompany/{ind}/{comp}', 'HomeController2@visitCompany');
Route::post('/register/withTemp', 'HomeController2@saveIndividualWithTemp');
