<nav <?php echo e($attributes->class(['main-header navbar navbar-expand-md navbar-light navbar-white'])); ?>>
    <div class="container-fluid">
        <a href="/" class="navbar-brand">
            <span class="brand-text font-weight-light"><?php echo $__env->yieldContent("title"); ?></span>
        </a>

        <button class="navbar-toggler order-1" type="button" data-toggle="collapse" data-target="#navbarCollapse"
                aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse order-3" id="navbarCollapse">
            <!-- Left navbar links -->
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a href="/" class="nav-link">Home</a>
                </li>


                <?php if(auth()->user()->small_group_id): ?>
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button"
                           data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            Memberships
                        </a>
                        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check("Manage Membership")): ?>
                                <a class="dropdown-item" href="<?php echo e(route('Membership.index')); ?>">Membership</a>
                            <?php endif; ?>
                            <a class="dropdown-item" href="<?php echo e(route('small.grp.members.index')); ?>">Small Group
                                Members</a>
                        </div>
                    </li>
                <?php else: ?>
                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check("Manage Membership")): ?>
                        <li class="nav-item">
                            <a href="<?php echo e(route('Membership.index')); ?>" class="nav-link">Membership</a>
                        </li>

                    <?php endif; ?>
                <?php endif; ?>


                
                <?php if(auth()->user()->is_admin): ?>
                    <li class="nav-item">
                        <a href="<?php echo e(route('companies.index')); ?>" class="nav-link">Companies</a>
                    </li>
                <?php endif; ?>
                
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(["Manage Tithe","Manage Offering Types"])): ?>
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button"
                           data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            Finance
                        </a>
                        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check("Manage Offering Types")): ?>
                                <a class="dropdown-item" href="<?php echo e(route('offering.type.create')); ?>">Offering Type</a>
                            <?php endif; ?>
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check("Manage Tithe")): ?>
                                <a class="dropdown-item" href="<?php echo e(route('base-offering-tithe.index')); ?>">Tithe & Offering</a>
                                <a class="dropdown-item" href="<?php echo e(route('tithe.and.offering.summary.report')); ?>">Offering
                                    Summary Report</a>
                                <a class="dropdown-item" href="<?php echo e(route('tithe.and.offering.detailed.report')); ?>">Offering
                                    detailed report</a>
                            <?php endif; ?>

                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check("Manage Expenses")): ?>
                                <a class="dropdown-item" href="<?php echo e(route('expenses.index')); ?>">Expenses</a>
                            <?php endif; ?>

                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check("Manage Expense Category")): ?>
                                <a class="dropdown-item" href="<?php echo e(route('expensesCategory.index')); ?>">Expense
                                    Category</a>
                            <?php endif; ?>

                        </div>
                    </li>
                <?php endif; ?>

                

                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button"
                       data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        Reports
                    </a>
                    <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                        <a class="dropdown-item" href="<?php echo e(route('reports.report-offering-tithe')); ?>">
                            Tithe and Offering
                        </a>
                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check("Manage Report Definition")): ?>
                            <a class="dropdown-item" href="<?php echo e(route('report.definition.create')); ?>">Report
                                Definition
                            </a>
                        <?php endif; ?>

                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check("Manage Reporting Data")): ?>
                            <?php if(auth()->user()->small_group_id): ?>
                                <div class="dropdown-divider"></div>
                                <a class="dropdown-item" href="<?php echo e(route('reporting.data.create')); ?>">Report
                                    Submissions</a>
                            <?php endif; ?>
                        <?php endif; ?>
                    </div>
                </li>

                
                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->any(["Manage Users","Manage Small Groups","Manage Payment Options"])): ?>
                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button"
                           data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            Settings
                        </a>
                        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check("Manage Payment Options")): ?>
                                <a class="dropdown-item" href="<?php echo e(route('payment.option.create')); ?>">Payment
                                    Options</a>
                            <?php endif; ?>
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check("Manage Small Groups")): ?>
                                <a class="dropdown-item" href="<?php echo e(route('smallGroup.index')); ?>">Small Groups</a>
                            <?php endif; ?>
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check("Manage Users")): ?>
                                <a class="dropdown-item" href="<?php echo e(route('get.users')); ?>">Users</a>
                            <?php endif; ?>
                        </div>
                    </li>
                <?php endif; ?>


            </ul>
            <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" class="d-none">
                <?php echo csrf_field(); ?>
            </form>
        </div>

        <!-- Right navbar links -->
        <ul class="order-1 order-md-3 navbar-nav navbar-no-expand ml-auto">
            <!-- Messages Dropdown Menu -->
            <!-- Notifications Dropdown Menu -->
            <li class="nav-item">
                <a href="<?php echo e(route("logout")); ?>" onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();"
                   class="nav-link"><span class="fa fa-sign-out-alt"></span>Sign out</a>
            </li>
        </ul>
    </div>
</nav>
<?php /**PATH C:\Users\jeanp\PhpstormProjects\attendance\resources\views/components/app-header.blade.php ENDPATH**/ ?>