<?php //bf6cffbea9b457b8fd84d5fcb60dbaad
/** @noinspection all */

namespace Illuminate\Broadcasting {
    
    /**
     * @method static void dispatch(array|Channel|string $channels)
     * @method static PendingBroadcast broadcast(array|Channel|string $channels)
     */
    class AnonymousEvent {}
}

namespace Illuminate\Bus {

    use Illuminate\Foundation\Bus\PendingDispatch;
    
    /**
     * @method static PendingDispatch dispatch(PendingBatch $batch)
     * @method static mixed dispatchSync(PendingBatch $batch)
     */
    class ChainedBatch {}
}

namespace Illuminate\Foundation\Console {

    use Illuminate\Foundation\Bus\PendingDispatch;
    
    /**
     * @method static PendingDispatch dispatch(array $data)
     * @method static mixed dispatchSync(array $data)
     */
    class QueuedCommand {}
}

namespace Illuminate\Foundation\Events {

    use Illuminate\Broadcasting\PendingBroadcast;
    
    /**
     * @method static void dispatch(array $stubs)
     * @method static PendingBroadcast broadcast(array $stubs)
     */
    class PublishingStubs {}
}

namespace Illuminate\Queue {

    use Illuminate\Foundation\Bus\PendingDispatch;
    use Laravel\SerializableClosure\SerializableClosure;
    
    /**
     * @method static PendingDispatch dispatch(SerializableClosure $closure)
     * @method static mixed dispatchSync(SerializableClosure $closure)
     */
    class CallQueuedClosure {}
}

namespace Maatwebsite\Excel\Jobs {

    use Illuminate\Contracts\Queue\ShouldQueue;
    use Illuminate\Foundation\Bus\PendingDispatch;
    use Maatwebsite\Excel\Concerns\FromQuery;
    use Maatwebsite\Excel\Concerns\FromView;
    use Maatwebsite\Excel\Files\TemporaryFile;
    
    /**
     * @method static PendingDispatch dispatch(object $sheetExport, TemporaryFile $temporaryFile, string $writerType, int $sheetIndex, array $data)
     * @method static mixed dispatchSync(object $sheetExport, TemporaryFile $temporaryFile, string $writerType, int $sheetIndex, array $data)
     */
    class AppendDataToSheet {}
    
    /**
     * @method static PendingDispatch dispatch(FromQuery $sheetExport, TemporaryFile $temporaryFile, string $writerType, int $sheetIndex, int $page, int $perPage)
     * @method static mixed dispatchSync(FromQuery $sheetExport, TemporaryFile $temporaryFile, string $writerType, int $sheetIndex, int $page, int $perPage)
     */
    class AppendPaginatedToSheet {}
    
    /**
     * @method static PendingDispatch dispatch(FromQuery $sheetExport, TemporaryFile $temporaryFile, string $writerType, int $sheetIndex, int $page, int $chunkSize)
     * @method static mixed dispatchSync(FromQuery $sheetExport, TemporaryFile $temporaryFile, string $writerType, int $sheetIndex, int $page, int $chunkSize)
     */
    class AppendQueryToSheet {}
    
    /**
     * @method static PendingDispatch dispatch(FromView $sheetExport, TemporaryFile $temporaryFile, string $writerType, int $sheetIndex)
     * @method static mixed dispatchSync(FromView $sheetExport, TemporaryFile $temporaryFile, string $writerType, int $sheetIndex)
     */
    class AppendViewToSheet {}
    
    /**
     * @method static PendingDispatch dispatch(object $export, TemporaryFile $temporaryFile, string $writerType)
     * @method static mixed dispatchSync(object $export, TemporaryFile $temporaryFile, string $writerType)
     */
    class QueueExport {}
    
    /**
     * @method static PendingDispatch dispatch(ShouldQueue|null $import = null)
     * @method static mixed dispatchSync(ShouldQueue|null $import = null)
     */
    class QueueImport {}
}

namespace Spatie\Permission\Events {

    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Foundation\Bus\PendingDispatch;
    use Illuminate\Support\Collection;
    use Spatie\Permission\Contracts\Permission;
    use Spatie\Permission\Contracts\Role;
    
    /**
     * @method static PendingDispatch dispatch(Model $model, array|Collection|int[]|Permission|Permission[]|string[] $permissionsOrIds)
     * @method static mixed dispatchSync(Model $model, array|Collection|int[]|Permission|Permission[]|string[] $permissionsOrIds)
     */
    class PermissionAttached {}
    
    /**
     * @method static PendingDispatch dispatch(Model $model, array|Collection|int[]|Permission|Permission[]|string[] $permissionsOrIds)
     * @method static mixed dispatchSync(Model $model, array|Collection|int[]|Permission|Permission[]|string[] $permissionsOrIds)
     */
    class PermissionDetached {}
    
    /**
     * @method static PendingDispatch dispatch(Model $model, array|Collection|int[]|Role|Role[]|string[] $rolesOrIds)
     * @method static mixed dispatchSync(Model $model, array|Collection|int[]|Role|Role[]|string[] $rolesOrIds)
     */
    class RoleAttached {}
    
    /**
     * @method static PendingDispatch dispatch(Model $model, array|Collection|int[]|Role|Role[]|string[] $rolesOrIds)
     * @method static mixed dispatchSync(Model $model, array|Collection|int[]|Role|Role[]|string[] $rolesOrIds)
     */
    class RoleDetached {}
}

namespace Yajra\DataTables\Jobs {

    use Illuminate\Foundation\Bus\PendingDispatch;
    
    /**
     * @method static PendingDispatch dispatch(array $instance, array $request, int|null|string $user, string $sheetName = 'Sheet1')
     * @method static mixed dispatchSync(array $instance, array $request, int|null|string $user, string $sheetName = 'Sheet1')
     */
    class DataTableExportJob {}
}
