<?php //4de2a2290fc376f845b1805ee4a3cb8a
/** @noinspection all */

namespace Illuminate\Contracts\View {
    
    /**
     * @method static $this extends($view, $params = [])
     * @method static $this layout($view, $params = [])
     * @method static $this layoutData($data = [])
     * @method static $this response(callable $callback)
     * @method static $this section($section)
     * @method static $this slot($slot)
     * @method static $this title($title)
     */
    class View {}
}

namespace Illuminate\Database\Eloquent {

    use Illuminate\Support\HigherOrderTapProxy;
    
    /**
     * @method static Model|HigherOrderTapProxy createOrRestore(array $attributes = [], array $values = [])
     * @method static void downloadExcel(string $fileName, null|string $writerType = null, $withHeadings = false)
     * @method static void import(string $filename, null|string $disk = null, null|string $readerType = null)
     * @method static void importAs(string $filename, callable $mapping, null|string $disk = null, null|string $readerType = null)
     * @method static $this onlyTrashed()
     * @method static int restore()
     * @method static Model|HigherOrderTapProxy restoreOrCreate(array $attributes = [], array $values = [])
     * @method static void storeExcel(string $filePath, null|string $disk = null, null|string $writerType = null, $withHeadings = false)
     * @method static $this withTrashed($withTrashed = true)
     * @method static $this withoutTrashed()
     */
    class Builder {}
}

namespace Illuminate\Http {
    
    /**
     * @method static bool hasValidRelativeSignature()
     * @method static bool hasValidRelativeSignatureWhileIgnoring($ignoreQuery = [])
     * @method static bool hasValidSignatureWhileIgnoring($ignoreQuery = [], $absolute = true)
     */
    class Request {}
}

namespace Illuminate\Routing {
    
    /**
     * @method static $this lazy($enabled = true)
     * @method static $this|array permission($permissions = [])
     * @method static $this|array role($roles = [])
     */
    class Route {}
    
    /**
     * @method static void auth($options = [])
     * @method static void confirmPassword()
     * @method static void emailVerification()
     * @method static void resetPassword()
     */
    class Router {}
}

namespace Illuminate\Support {
    
    /**
     * @method static $this debug()
     * @method static void downloadExcel(string $fileName, null|string $writerType = null, $withHeadings = false, array $responseHeaders = [])
     * @method static void storeExcel(string $filePath, null|string $disk = null, null|string $writerType = null, $withHeadings = false)
     */
    class Collection {}
}

namespace Illuminate\Testing {
    
    /**
     * @method static $this assertDontSeeLivewire($component)
     * @method static $this assertSeeLivewire($component)
     */
    class TestResponse {}
    
    /**
     * @method static $this assertDontSeeLivewire($component)
     * @method static $this assertSeeLivewire($component)
     */
    class TestView {}
}

namespace Illuminate\View {

    use Livewire\WireDirective;
    
    /**
     * @method static WireDirective wire($name)
     */
    class ComponentAttributeBag {}
    
    /**
     * @method static $this extends($view, $params = [])
     * @method static $this layout($view, $params = [])
     * @method static $this layoutData($data = [])
     * @method static $this response(callable $callback)
     * @method static $this section($section)
     * @method static $this slot($slot)
     * @method static $this title($title)
     */
    class View {}
}

namespace Laravel\Dusk {
    
    /**
     * @method static $this assertAttributeMissing($selector, $attribute)
     * @method static $this assertClassMissing($selector, $className)
     * @method static $this assertConsoleLogHasWarning($expectedMessage)
     * @method static $this assertConsoleLogMissingWarning($expectedMessage)
     * @method static $this assertHasClass($selector, $className)
     * @method static $this assertInViewPort($selector, $invert = false)
     * @method static \Closure assertNotInViewPort($selector)
     * @method static $this assertNotPresent($selector)
     * @method static $this assertNotVisible($selector)
     * @method static $this assertScript($js, $expects = true)
     * @method static void offline()
     * @method static void online()
     * @method static $this runScript($js)
     * @method static $this scrollTo($selector)
     * @method static $this selectMultiple($field, $values = [])
     * @method static object waitForLivewire($callback = null)
     * @method static void waitForLivewireToLoad()
     * @method static object waitForNavigate($callback = null)
     * @method static object waitForNavigateRequest($callback = null)
     * @method static object waitForNoLivewire($callback = null)
     * @method static object waitForNoNavigateRequest($callback = null)
     */
    class Browser {}
}

namespace Yajra\DataTables {

    use Yajra\DataTables\Html\Builder;
    
    /**
     * @method static $this addTransformer($transformer)
     * @method static $this setSerializer($serializer)
     * @method static $this setTransformer($transformer)
     */
    class DataTableAbstract {}
    
    /**
     * @method static Builder getHtmlBuilder()
     */
    class DataTables {}
}
