<?php //b673b46621f021743097c1fe68dada77
/** @noinspection all */

namespace LaravelIdea\Helper\App {

    use App\Admin;
    use App\Category;
    use App\Cell;
    use App\Company;
    use App\District;
    use App\Expense;
    use App\ExpenseCategory;
    use App\IndicatorDefinition;
    use App\Individual;
    use App\Membership;
    use App\OfferingType;
    use App\PaymentOption;
    use App\Province;
    use App\ReportDefinition;
    use App\ReportSubmission;
    use App\ReportSubmissionData;
    use App\Sector;
    use App\Small_group;
    use App\Status;
    use App\TitheAndOffering;
    use App\TitheOfferingBase;
    use App\User;
    use App\Village;
    use App\Visit;
    use Illuminate\Contracts\Database\Query\Expression;
    use Illuminate\Contracts\Support\Arrayable;
    use Illuminate\Pagination\LengthAwarePaginator;
    use Illuminate\Pagination\Paginator;
    use Illuminate\Support\Collection;
    use LaravelIdea\Helper\_BaseBuilder;
    use LaravelIdea\Helper\_BaseCollection;
    use Spatie\Permission\Contracts\Permission;
    use Spatie\Permission\Contracts\Role;
    
    /**
     * @method Admin|null getOrPut($key, \Closure $value)
     * @method Admin|$this shift(int $count = 1)
     * @method Admin|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Admin|$this pop(int $count = 1)
     * @method Admin|null pull($key, \Closure $default = null)
     * @method Admin|null last(callable|null $callback = null, \Closure $default = null)
     * @method Admin|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Admin|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Admin|null get($key, \Closure $default = null)
     * @method Admin|null first(callable|null $callback = null, \Closure $default = null)
     * @method Admin|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Admin|null find($key, $default = null)
     * @method Admin[] all()
     */
    class _IH_Admin_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Admin[][]|Collection<_IH_Admin_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Admin_QB whereId($value)
     * @method _IH_Admin_QB whereUsername($value)
     * @method _IH_Admin_QB wherePassword($value)
     * @method _IH_Admin_QB whereCreatedAt($value)
     * @method _IH_Admin_QB whereUpdatedAt($value)
     * @method Admin create(array $attributes = [])
     * @method Admin createOrFirst(array $attributes = [], array $values = [])
     * @method Admin createQuietly(array $attributes = [])
     * @method _IH_Admin_C|Admin[] cursor()
     * @method Admin[] eagerLoadRelations(array $models)
     * @method Admin|null|_IH_Admin_C|Admin[] find($id, array|string $columns = ['*'])
     * @method _IH_Admin_C|Admin[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Admin|_IH_Admin_C|Admin[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Admin|_IH_Admin_C|Admin[] findOrFail($id, array|string $columns = ['*'])
     * @method Admin|_IH_Admin_C|Admin[] findOrNew($id, array|string $columns = ['*'])
     * @method Admin findSole($id, array|string $columns = ['*'])
     * @method Admin first(array|string $columns = ['*'])
     * @method Admin firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Admin firstOrCreate(array $attributes = [], array $values = [])
     * @method Admin firstOrFail(array|string $columns = ['*'])
     * @method Admin firstOrNew(array $attributes = [], array $values = [])
     * @method Admin firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Admin forceCreate(array $attributes)
     * @method Admin forceCreateQuietly(array $attributes = [])
     * @method _IH_Admin_C|Admin[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Admin_C|Admin[] get(array|string $columns = ['*'])
     * @method Admin getModel()
     * @method Admin[] getModels(array|string $columns = ['*'])
     * @method _IH_Admin_C|Admin[] hydrate(array $items)
     * @method Admin incrementOrCreate(array $attributes, string $column = 'count', float|int $default = 1, float|int $step = 1, array $extra = [])
     * @method _IH_Admin_C|Admin[] lazy(int $chunkSize = 1000)
     * @method _IH_Admin_C|Admin[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Admin_C|Admin[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Admin make(array $attributes = [])
     * @method Admin newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Admin[]|_IH_Admin_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Admin restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Admin[]|_IH_Admin_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Admin sole(array|string $columns = ['*'])
     * @method Admin updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Admin_QB extends _BaseBuilder {}
    
    /**
     * @method Category|null getOrPut($key, \Closure $value)
     * @method Category|$this shift(int $count = 1)
     * @method Category|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Category|$this pop(int $count = 1)
     * @method Category|null pull($key, \Closure $default = null)
     * @method Category|null last(callable|null $callback = null, \Closure $default = null)
     * @method Category|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Category|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Category|null get($key, \Closure $default = null)
     * @method Category|null first(callable|null $callback = null, \Closure $default = null)
     * @method Category|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Category|null find($key, $default = null)
     * @method Category[] all()
     */
    class _IH_Category_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Category[][]|Collection<_IH_Category_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Category_QB whereId($value)
     * @method _IH_Category_QB whereCategoryname($value)
     * @method _IH_Category_QB whereCreatedAt($value)
     * @method _IH_Category_QB whereUpdatedAt($value)
     * @method Category create(array $attributes = [])
     * @method Category createOrFirst(array $attributes = [], array $values = [])
     * @method Category createQuietly(array $attributes = [])
     * @method _IH_Category_C|Category[] cursor()
     * @method Category[] eagerLoadRelations(array $models)
     * @method Category|null|_IH_Category_C|Category[] find($id, array|string $columns = ['*'])
     * @method _IH_Category_C|Category[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Category|_IH_Category_C|Category[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Category|_IH_Category_C|Category[] findOrFail($id, array|string $columns = ['*'])
     * @method Category|_IH_Category_C|Category[] findOrNew($id, array|string $columns = ['*'])
     * @method Category findSole($id, array|string $columns = ['*'])
     * @method Category first(array|string $columns = ['*'])
     * @method Category firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Category firstOrCreate(array $attributes = [], array $values = [])
     * @method Category firstOrFail(array|string $columns = ['*'])
     * @method Category firstOrNew(array $attributes = [], array $values = [])
     * @method Category firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Category forceCreate(array $attributes)
     * @method Category forceCreateQuietly(array $attributes = [])
     * @method _IH_Category_C|Category[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Category_C|Category[] get(array|string $columns = ['*'])
     * @method Category getModel()
     * @method Category[] getModels(array|string $columns = ['*'])
     * @method _IH_Category_C|Category[] hydrate(array $items)
     * @method Category incrementOrCreate(array $attributes, string $column = 'count', float|int $default = 1, float|int $step = 1, array $extra = [])
     * @method _IH_Category_C|Category[] lazy(int $chunkSize = 1000)
     * @method _IH_Category_C|Category[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Category_C|Category[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Category make(array $attributes = [])
     * @method Category newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Category[]|_IH_Category_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Category restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Category[]|_IH_Category_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Category sole(array|string $columns = ['*'])
     * @method Category updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Category_QB extends _BaseBuilder {}
    
    /**
     * @method Cell|null getOrPut($key, \Closure $value)
     * @method Cell|$this shift(int $count = 1)
     * @method Cell|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Cell|$this pop(int $count = 1)
     * @method Cell|null pull($key, \Closure $default = null)
     * @method Cell|null last(callable|null $callback = null, \Closure $default = null)
     * @method Cell|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Cell|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Cell|null get($key, \Closure $default = null)
     * @method Cell|null first(callable|null $callback = null, \Closure $default = null)
     * @method Cell|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Cell|null find($key, $default = null)
     * @method Cell[] all()
     */
    class _IH_Cell_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Cell[][]|Collection<_IH_Cell_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Cell_QB whereId($value)
     * @method _IH_Cell_QB whereSectorId($value)
     * @method _IH_Cell_QB whereName($value)
     * @method _IH_Cell_QB whereCreatedAt($value)
     * @method _IH_Cell_QB whereUpdatedAt($value)
     * @method Cell create(array $attributes = [])
     * @method Cell createOrFirst(array $attributes = [], array $values = [])
     * @method Cell createQuietly(array $attributes = [])
     * @method _IH_Cell_C|Cell[] cursor()
     * @method Cell[] eagerLoadRelations(array $models)
     * @method Cell|null|_IH_Cell_C|Cell[] find($id, array|string $columns = ['*'])
     * @method _IH_Cell_C|Cell[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Cell|_IH_Cell_C|Cell[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Cell|_IH_Cell_C|Cell[] findOrFail($id, array|string $columns = ['*'])
     * @method Cell|_IH_Cell_C|Cell[] findOrNew($id, array|string $columns = ['*'])
     * @method Cell findSole($id, array|string $columns = ['*'])
     * @method Cell first(array|string $columns = ['*'])
     * @method Cell firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Cell firstOrCreate(array $attributes = [], array $values = [])
     * @method Cell firstOrFail(array|string $columns = ['*'])
     * @method Cell firstOrNew(array $attributes = [], array $values = [])
     * @method Cell firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Cell forceCreate(array $attributes)
     * @method Cell forceCreateQuietly(array $attributes = [])
     * @method _IH_Cell_C|Cell[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Cell_C|Cell[] get(array|string $columns = ['*'])
     * @method Cell getModel()
     * @method Cell[] getModels(array|string $columns = ['*'])
     * @method _IH_Cell_C|Cell[] hydrate(array $items)
     * @method Cell incrementOrCreate(array $attributes, string $column = 'count', float|int $default = 1, float|int $step = 1, array $extra = [])
     * @method _IH_Cell_C|Cell[] lazy(int $chunkSize = 1000)
     * @method _IH_Cell_C|Cell[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Cell_C|Cell[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Cell make(array $attributes = [])
     * @method Cell newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Cell[]|_IH_Cell_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Cell restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Cell[]|_IH_Cell_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Cell sole(array|string $columns = ['*'])
     * @method Cell updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Cell_QB extends _BaseBuilder {}
    
    /**
     * @method Company|null getOrPut($key, \Closure $value)
     * @method Company|$this shift(int $count = 1)
     * @method Company|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Company|$this pop(int $count = 1)
     * @method Company|null pull($key, \Closure $default = null)
     * @method Company|null last(callable|null $callback = null, \Closure $default = null)
     * @method Company|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Company|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Company|null get($key, \Closure $default = null)
     * @method Company|null first(callable|null $callback = null, \Closure $default = null)
     * @method Company|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Company|null find($key, $default = null)
     * @method Company[] all()
     */
    class _IH_Company_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Company[][]|Collection<_IH_Company_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Company_QB whereId($value)
     * @method _IH_Company_QB whereName($value)
     * @method _IH_Company_QB whereTin($value)
     * @method _IH_Company_QB whereAddress($value)
     * @method _IH_Company_QB whereEmail($value)
     * @method _IH_Company_QB wherePassword($value)
     * @method _IH_Company_QB whereCreatedAt($value)
     * @method _IH_Company_QB whereUpdatedAt($value)
     * @method _IH_Company_QB whereCode($value)
     * @method Company create(array $attributes = [])
     * @method Company createOrFirst(array $attributes = [], array $values = [])
     * @method Company createQuietly(array $attributes = [])
     * @method _IH_Company_C|Company[] cursor()
     * @method Company[] eagerLoadRelations(array $models)
     * @method Company|null|_IH_Company_C|Company[] find($id, array|string $columns = ['*'])
     * @method _IH_Company_C|Company[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Company|_IH_Company_C|Company[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Company|_IH_Company_C|Company[] findOrFail($id, array|string $columns = ['*'])
     * @method Company|_IH_Company_C|Company[] findOrNew($id, array|string $columns = ['*'])
     * @method Company findSole($id, array|string $columns = ['*'])
     * @method Company first(array|string $columns = ['*'])
     * @method Company firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Company firstOrCreate(array $attributes = [], array $values = [])
     * @method Company firstOrFail(array|string $columns = ['*'])
     * @method Company firstOrNew(array $attributes = [], array $values = [])
     * @method Company firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Company forceCreate(array $attributes)
     * @method Company forceCreateQuietly(array $attributes = [])
     * @method _IH_Company_C|Company[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Company_C|Company[] get(array|string $columns = ['*'])
     * @method Company getModel()
     * @method Company[] getModels(array|string $columns = ['*'])
     * @method _IH_Company_C|Company[] hydrate(array $items)
     * @method Company incrementOrCreate(array $attributes, string $column = 'count', float|int $default = 1, float|int $step = 1, array $extra = [])
     * @method _IH_Company_C|Company[] lazy(int $chunkSize = 1000)
     * @method _IH_Company_C|Company[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Company_C|Company[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Company make(array $attributes = [])
     * @method Company newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Company[]|_IH_Company_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Company restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Company[]|_IH_Company_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Company sole(array|string $columns = ['*'])
     * @method Company updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Company_QB extends _BaseBuilder {}
    
    /**
     * @method District|null getOrPut($key, \Closure $value)
     * @method District|$this shift(int $count = 1)
     * @method District|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method District|$this pop(int $count = 1)
     * @method District|null pull($key, \Closure $default = null)
     * @method District|null last(callable|null $callback = null, \Closure $default = null)
     * @method District|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method District|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method District|null get($key, \Closure $default = null)
     * @method District|null first(callable|null $callback = null, \Closure $default = null)
     * @method District|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method District|null find($key, $default = null)
     * @method District[] all()
     */
    class _IH_District_C extends _BaseCollection {
        /**
         * @param int $size
         * @return District[][]|Collection<_IH_District_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_District_QB whereId($value)
     * @method _IH_District_QB whereProvinceId($value)
     * @method _IH_District_QB whereName($value)
     * @method _IH_District_QB whereCreatedAt($value)
     * @method _IH_District_QB whereUpdatedAt($value)
     * @method District create(array $attributes = [])
     * @method District createOrFirst(array $attributes = [], array $values = [])
     * @method District createQuietly(array $attributes = [])
     * @method _IH_District_C|District[] cursor()
     * @method District[] eagerLoadRelations(array $models)
     * @method District|null|_IH_District_C|District[] find($id, array|string $columns = ['*'])
     * @method _IH_District_C|District[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method District|_IH_District_C|District[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method District|_IH_District_C|District[] findOrFail($id, array|string $columns = ['*'])
     * @method District|_IH_District_C|District[] findOrNew($id, array|string $columns = ['*'])
     * @method District findSole($id, array|string $columns = ['*'])
     * @method District first(array|string $columns = ['*'])
     * @method District firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method District firstOrCreate(array $attributes = [], array $values = [])
     * @method District firstOrFail(array|string $columns = ['*'])
     * @method District firstOrNew(array $attributes = [], array $values = [])
     * @method District firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method District forceCreate(array $attributes)
     * @method District forceCreateQuietly(array $attributes = [])
     * @method _IH_District_C|District[] fromQuery(string $query, array $bindings = [])
     * @method _IH_District_C|District[] get(array|string $columns = ['*'])
     * @method District getModel()
     * @method District[] getModels(array|string $columns = ['*'])
     * @method _IH_District_C|District[] hydrate(array $items)
     * @method District incrementOrCreate(array $attributes, string $column = 'count', float|int $default = 1, float|int $step = 1, array $extra = [])
     * @method _IH_District_C|District[] lazy(int $chunkSize = 1000)
     * @method _IH_District_C|District[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_District_C|District[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method District make(array $attributes = [])
     * @method District newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|District[]|_IH_District_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method District restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|District[]|_IH_District_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method District sole(array|string $columns = ['*'])
     * @method District updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_District_QB extends _BaseBuilder {}
    
    /**
     * @method ExpenseCategory|null getOrPut($key, \Closure $value)
     * @method ExpenseCategory|$this shift(int $count = 1)
     * @method ExpenseCategory|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ExpenseCategory|$this pop(int $count = 1)
     * @method ExpenseCategory|null pull($key, \Closure $default = null)
     * @method ExpenseCategory|null last(callable|null $callback = null, \Closure $default = null)
     * @method ExpenseCategory|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ExpenseCategory|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ExpenseCategory|null get($key, \Closure $default = null)
     * @method ExpenseCategory|null first(callable|null $callback = null, \Closure $default = null)
     * @method ExpenseCategory|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ExpenseCategory|null find($key, $default = null)
     * @method ExpenseCategory[] all()
     */
    class _IH_ExpenseCategory_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ExpenseCategory[][]|Collection<_IH_ExpenseCategory_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ExpenseCategory_QB whereId($value)
     * @method _IH_ExpenseCategory_QB whereCategoryName($value)
     * @method _IH_ExpenseCategory_QB whereCompanyId($value)
     * @method ExpenseCategory create(array $attributes = [])
     * @method ExpenseCategory createOrFirst(array $attributes = [], array $values = [])
     * @method ExpenseCategory createQuietly(array $attributes = [])
     * @method _IH_ExpenseCategory_C|ExpenseCategory[] cursor()
     * @method ExpenseCategory[] eagerLoadRelations(array $models)
     * @method ExpenseCategory|null|_IH_ExpenseCategory_C|ExpenseCategory[] find($id, array|string $columns = ['*'])
     * @method _IH_ExpenseCategory_C|ExpenseCategory[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ExpenseCategory|_IH_ExpenseCategory_C|ExpenseCategory[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method ExpenseCategory|_IH_ExpenseCategory_C|ExpenseCategory[] findOrFail($id, array|string $columns = ['*'])
     * @method ExpenseCategory|_IH_ExpenseCategory_C|ExpenseCategory[] findOrNew($id, array|string $columns = ['*'])
     * @method ExpenseCategory findSole($id, array|string $columns = ['*'])
     * @method ExpenseCategory first(array|string $columns = ['*'])
     * @method ExpenseCategory firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method ExpenseCategory firstOrCreate(array $attributes = [], array $values = [])
     * @method ExpenseCategory firstOrFail(array|string $columns = ['*'])
     * @method ExpenseCategory firstOrNew(array $attributes = [], array $values = [])
     * @method ExpenseCategory firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ExpenseCategory forceCreate(array $attributes)
     * @method ExpenseCategory forceCreateQuietly(array $attributes = [])
     * @method _IH_ExpenseCategory_C|ExpenseCategory[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ExpenseCategory_C|ExpenseCategory[] get(array|string $columns = ['*'])
     * @method ExpenseCategory getModel()
     * @method ExpenseCategory[] getModels(array|string $columns = ['*'])
     * @method _IH_ExpenseCategory_C|ExpenseCategory[] hydrate(array $items)
     * @method ExpenseCategory incrementOrCreate(array $attributes, string $column = 'count', float|int $default = 1, float|int $step = 1, array $extra = [])
     * @method _IH_ExpenseCategory_C|ExpenseCategory[] lazy(int $chunkSize = 1000)
     * @method _IH_ExpenseCategory_C|ExpenseCategory[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ExpenseCategory_C|ExpenseCategory[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ExpenseCategory make(array $attributes = [])
     * @method ExpenseCategory newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ExpenseCategory[]|_IH_ExpenseCategory_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method ExpenseCategory restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|ExpenseCategory[]|_IH_ExpenseCategory_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ExpenseCategory sole(array|string $columns = ['*'])
     * @method ExpenseCategory updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ExpenseCategory_QB extends _BaseBuilder {}
    
    /**
     * @method Expense|null getOrPut($key, \Closure $value)
     * @method Expense|$this shift(int $count = 1)
     * @method Expense|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Expense|$this pop(int $count = 1)
     * @method Expense|null pull($key, \Closure $default = null)
     * @method Expense|null last(callable|null $callback = null, \Closure $default = null)
     * @method Expense|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Expense|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Expense|null get($key, \Closure $default = null)
     * @method Expense|null first(callable|null $callback = null, \Closure $default = null)
     * @method Expense|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Expense|null find($key, $default = null)
     * @method Expense[] all()
     */
    class _IH_Expense_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Expense[][]|Collection<_IH_Expense_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Expense_QB whereId($value)
     * @method _IH_Expense_QB whereExpenseCategoryId($value)
     * @method _IH_Expense_QB whereExpenseName($value)
     * @method _IH_Expense_QB whereAmount($value)
     * @method _IH_Expense_QB whereDescription($value)
     * @method _IH_Expense_QB whereRequestedBy($value)
     * @method _IH_Expense_QB whereCompanyId($value)
     * @method _IH_Expense_QB whereExpenseDate($value)
     * @method Expense create(array $attributes = [])
     * @method Expense createOrFirst(array $attributes = [], array $values = [])
     * @method Expense createQuietly(array $attributes = [])
     * @method _IH_Expense_C|Expense[] cursor()
     * @method Expense[] eagerLoadRelations(array $models)
     * @method Expense|null|_IH_Expense_C|Expense[] find($id, array|string $columns = ['*'])
     * @method _IH_Expense_C|Expense[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Expense|_IH_Expense_C|Expense[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Expense|_IH_Expense_C|Expense[] findOrFail($id, array|string $columns = ['*'])
     * @method Expense|_IH_Expense_C|Expense[] findOrNew($id, array|string $columns = ['*'])
     * @method Expense findSole($id, array|string $columns = ['*'])
     * @method Expense first(array|string $columns = ['*'])
     * @method Expense firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Expense firstOrCreate(array $attributes = [], array $values = [])
     * @method Expense firstOrFail(array|string $columns = ['*'])
     * @method Expense firstOrNew(array $attributes = [], array $values = [])
     * @method Expense firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Expense forceCreate(array $attributes)
     * @method Expense forceCreateQuietly(array $attributes = [])
     * @method _IH_Expense_C|Expense[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Expense_C|Expense[] get(array|string $columns = ['*'])
     * @method Expense getModel()
     * @method Expense[] getModels(array|string $columns = ['*'])
     * @method _IH_Expense_C|Expense[] hydrate(array $items)
     * @method Expense incrementOrCreate(array $attributes, string $column = 'count', float|int $default = 1, float|int $step = 1, array $extra = [])
     * @method _IH_Expense_C|Expense[] lazy(int $chunkSize = 1000)
     * @method _IH_Expense_C|Expense[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Expense_C|Expense[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Expense make(array $attributes = [])
     * @method Expense newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Expense[]|_IH_Expense_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Expense restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Expense[]|_IH_Expense_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Expense sole(array|string $columns = ['*'])
     * @method Expense updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Expense_QB extends _BaseBuilder {}
    
    /**
     * @method IndicatorDefinition|null getOrPut($key, \Closure $value)
     * @method IndicatorDefinition|$this shift(int $count = 1)
     * @method IndicatorDefinition|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method IndicatorDefinition|$this pop(int $count = 1)
     * @method IndicatorDefinition|null pull($key, \Closure $default = null)
     * @method IndicatorDefinition|null last(callable|null $callback = null, \Closure $default = null)
     * @method IndicatorDefinition|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method IndicatorDefinition|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method IndicatorDefinition|null get($key, \Closure $default = null)
     * @method IndicatorDefinition|null first(callable|null $callback = null, \Closure $default = null)
     * @method IndicatorDefinition|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method IndicatorDefinition|null find($key, $default = null)
     * @method IndicatorDefinition[] all()
     */
    class _IH_IndicatorDefinition_C extends _BaseCollection {
        /**
         * @param int $size
         * @return IndicatorDefinition[][]|Collection<_IH_IndicatorDefinition_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_IndicatorDefinition_QB whereId($value)
     * @method _IH_IndicatorDefinition_QB whereReportId($value)
     * @method _IH_IndicatorDefinition_QB whereCompanyId($value)
     * @method _IH_IndicatorDefinition_QB whereIndicatorName($value)
     * @method _IH_IndicatorDefinition_QB whereIndicatorValueType($value)
     * @method _IH_IndicatorDefinition_QB whereDropDownDataSource($value)
     * @method _IH_IndicatorDefinition_QB whereCreatedAt($value)
     * @method _IH_IndicatorDefinition_QB whereUpdatedAt($value)
     * @method IndicatorDefinition create(array $attributes = [])
     * @method IndicatorDefinition createOrFirst(array $attributes = [], array $values = [])
     * @method IndicatorDefinition createQuietly(array $attributes = [])
     * @method _IH_IndicatorDefinition_C|IndicatorDefinition[] cursor()
     * @method IndicatorDefinition[] eagerLoadRelations(array $models)
     * @method IndicatorDefinition|null|_IH_IndicatorDefinition_C|IndicatorDefinition[] find($id, array|string $columns = ['*'])
     * @method _IH_IndicatorDefinition_C|IndicatorDefinition[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method IndicatorDefinition|_IH_IndicatorDefinition_C|IndicatorDefinition[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method IndicatorDefinition|_IH_IndicatorDefinition_C|IndicatorDefinition[] findOrFail($id, array|string $columns = ['*'])
     * @method IndicatorDefinition|_IH_IndicatorDefinition_C|IndicatorDefinition[] findOrNew($id, array|string $columns = ['*'])
     * @method IndicatorDefinition findSole($id, array|string $columns = ['*'])
     * @method IndicatorDefinition first(array|string $columns = ['*'])
     * @method IndicatorDefinition firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method IndicatorDefinition firstOrCreate(array $attributes = [], array $values = [])
     * @method IndicatorDefinition firstOrFail(array|string $columns = ['*'])
     * @method IndicatorDefinition firstOrNew(array $attributes = [], array $values = [])
     * @method IndicatorDefinition firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method IndicatorDefinition forceCreate(array $attributes)
     * @method IndicatorDefinition forceCreateQuietly(array $attributes = [])
     * @method _IH_IndicatorDefinition_C|IndicatorDefinition[] fromQuery(string $query, array $bindings = [])
     * @method _IH_IndicatorDefinition_C|IndicatorDefinition[] get(array|string $columns = ['*'])
     * @method IndicatorDefinition getModel()
     * @method IndicatorDefinition[] getModels(array|string $columns = ['*'])
     * @method _IH_IndicatorDefinition_C|IndicatorDefinition[] hydrate(array $items)
     * @method IndicatorDefinition incrementOrCreate(array $attributes, string $column = 'count', float|int $default = 1, float|int $step = 1, array $extra = [])
     * @method _IH_IndicatorDefinition_C|IndicatorDefinition[] lazy(int $chunkSize = 1000)
     * @method _IH_IndicatorDefinition_C|IndicatorDefinition[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_IndicatorDefinition_C|IndicatorDefinition[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method IndicatorDefinition make(array $attributes = [])
     * @method IndicatorDefinition newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|IndicatorDefinition[]|_IH_IndicatorDefinition_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method IndicatorDefinition restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|IndicatorDefinition[]|_IH_IndicatorDefinition_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method IndicatorDefinition sole(array|string $columns = ['*'])
     * @method IndicatorDefinition updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_IndicatorDefinition_QB extends _BaseBuilder {}
    
    /**
     * @method Individual|null getOrPut($key, \Closure $value)
     * @method Individual|$this shift(int $count = 1)
     * @method Individual|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Individual|$this pop(int $count = 1)
     * @method Individual|null pull($key, \Closure $default = null)
     * @method Individual|null last(callable|null $callback = null, \Closure $default = null)
     * @method Individual|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Individual|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Individual|null get($key, \Closure $default = null)
     * @method Individual|null first(callable|null $callback = null, \Closure $default = null)
     * @method Individual|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Individual|null find($key, $default = null)
     * @method Individual[] all()
     */
    class _IH_Individual_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Individual[][]|Collection<_IH_Individual_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Individual_QB whereId($value)
     * @method _IH_Individual_QB wherePhone($value)
     * @method _IH_Individual_QB whereNames($value)
     * @method _IH_Individual_QB whereVillageId($value)
     * @method _IH_Individual_QB whereCreatedAt($value)
     * @method _IH_Individual_QB whereUpdatedAt($value)
     * @method _IH_Individual_QB whereCode($value)
     * @method _IH_Individual_QB wherePassword($value)
     * @method Individual create(array $attributes = [])
     * @method Individual createOrFirst(array $attributes = [], array $values = [])
     * @method Individual createQuietly(array $attributes = [])
     * @method _IH_Individual_C|Individual[] cursor()
     * @method Individual[] eagerLoadRelations(array $models)
     * @method Individual|null|_IH_Individual_C|Individual[] find($id, array|string $columns = ['*'])
     * @method _IH_Individual_C|Individual[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Individual|_IH_Individual_C|Individual[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Individual|_IH_Individual_C|Individual[] findOrFail($id, array|string $columns = ['*'])
     * @method Individual|_IH_Individual_C|Individual[] findOrNew($id, array|string $columns = ['*'])
     * @method Individual findSole($id, array|string $columns = ['*'])
     * @method Individual first(array|string $columns = ['*'])
     * @method Individual firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Individual firstOrCreate(array $attributes = [], array $values = [])
     * @method Individual firstOrFail(array|string $columns = ['*'])
     * @method Individual firstOrNew(array $attributes = [], array $values = [])
     * @method Individual firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Individual forceCreate(array $attributes)
     * @method Individual forceCreateQuietly(array $attributes = [])
     * @method _IH_Individual_C|Individual[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Individual_C|Individual[] get(array|string $columns = ['*'])
     * @method Individual getModel()
     * @method Individual[] getModels(array|string $columns = ['*'])
     * @method _IH_Individual_C|Individual[] hydrate(array $items)
     * @method Individual incrementOrCreate(array $attributes, string $column = 'count', float|int $default = 1, float|int $step = 1, array $extra = [])
     * @method _IH_Individual_C|Individual[] lazy(int $chunkSize = 1000)
     * @method _IH_Individual_C|Individual[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Individual_C|Individual[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Individual make(array $attributes = [])
     * @method Individual newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Individual[]|_IH_Individual_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Individual restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Individual[]|_IH_Individual_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Individual sole(array|string $columns = ['*'])
     * @method Individual updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Individual_QB extends _BaseBuilder {}
    
    /**
     * @method Membership|null getOrPut($key, \Closure $value)
     * @method Membership|$this shift(int $count = 1)
     * @method Membership|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Membership|$this pop(int $count = 1)
     * @method Membership|null pull($key, \Closure $default = null)
     * @method Membership|null last(callable|null $callback = null, \Closure $default = null)
     * @method Membership|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Membership|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Membership|null get($key, \Closure $default = null)
     * @method Membership|null first(callable|null $callback = null, \Closure $default = null)
     * @method Membership|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Membership|null find($key, $default = null)
     * @method Membership[] all()
     */
    class _IH_Membership_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Membership[][]|Collection<_IH_Membership_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Membership_QB whereId($value)
     * @method _IH_Membership_QB whereCompanyId($value)
     * @method _IH_Membership_QB whereFirstname($value)
     * @method _IH_Membership_QB whereLastname($value)
     * @method _IH_Membership_QB wherePhoneNumber($value)
     * @method _IH_Membership_QB whereDistrictId($value)
     * @method _IH_Membership_QB whereSectorId($value)
     * @method _IH_Membership_QB whereCellId($value)
     * @method _IH_Membership_QB whereVillageId($value)
     * @method _IH_Membership_QB whereCategoryId($value)
     * @method _IH_Membership_QB whereStatusId($value)
     * @method _IH_Membership_QB whereChurchRegisterPage($value)
     * @method _IH_Membership_QB whereSmallGroupId($value)
     * @method _IH_Membership_QB whereCreatedAt($value)
     * @method _IH_Membership_QB whereUpdatedAt($value)
     * @method _IH_Membership_QB whereMembershipDate($value)
     * @method _IH_Membership_QB whereOriginChurch($value)
     * @method _IH_Membership_QB whereObservation($value)
     * @method _IH_Membership_QB whereEmploymentStatus($value)
     * @method _IH_Membership_QB whereMaritalStatus($value)
     * @method _IH_Membership_QB wherePhoneNumber2($value)
     * @method Membership create(array $attributes = [])
     * @method Membership createOrFirst(array $attributes = [], array $values = [])
     * @method Membership createQuietly(array $attributes = [])
     * @method _IH_Membership_C|Membership[] cursor()
     * @method Membership[] eagerLoadRelations(array $models)
     * @method Membership|null|_IH_Membership_C|Membership[] find($id, array|string $columns = ['*'])
     * @method _IH_Membership_C|Membership[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Membership|_IH_Membership_C|Membership[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Membership|_IH_Membership_C|Membership[] findOrFail($id, array|string $columns = ['*'])
     * @method Membership|_IH_Membership_C|Membership[] findOrNew($id, array|string $columns = ['*'])
     * @method Membership findSole($id, array|string $columns = ['*'])
     * @method Membership first(array|string $columns = ['*'])
     * @method Membership firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Membership firstOrCreate(array $attributes = [], array $values = [])
     * @method Membership firstOrFail(array|string $columns = ['*'])
     * @method Membership firstOrNew(array $attributes = [], array $values = [])
     * @method Membership firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Membership forceCreate(array $attributes)
     * @method Membership forceCreateQuietly(array $attributes = [])
     * @method _IH_Membership_C|Membership[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Membership_C|Membership[] get(array|string $columns = ['*'])
     * @method Membership getModel()
     * @method Membership[] getModels(array|string $columns = ['*'])
     * @method _IH_Membership_C|Membership[] hydrate(array $items)
     * @method Membership incrementOrCreate(array $attributes, string $column = 'count', float|int $default = 1, float|int $step = 1, array $extra = [])
     * @method _IH_Membership_C|Membership[] lazy(int $chunkSize = 1000)
     * @method _IH_Membership_C|Membership[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Membership_C|Membership[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Membership make(array $attributes = [])
     * @method Membership newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Membership[]|_IH_Membership_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Membership restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Membership[]|_IH_Membership_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Membership sole(array|string $columns = ['*'])
     * @method Membership updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Membership_QB extends _BaseBuilder {}
    
    /**
     * @method OfferingType|null getOrPut($key, \Closure $value)
     * @method OfferingType|$this shift(int $count = 1)
     * @method OfferingType|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method OfferingType|$this pop(int $count = 1)
     * @method OfferingType|null pull($key, \Closure $default = null)
     * @method OfferingType|null last(callable|null $callback = null, \Closure $default = null)
     * @method OfferingType|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method OfferingType|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method OfferingType|null get($key, \Closure $default = null)
     * @method OfferingType|null first(callable|null $callback = null, \Closure $default = null)
     * @method OfferingType|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method OfferingType|null find($key, $default = null)
     * @method OfferingType[] all()
     */
    class _IH_OfferingType_C extends _BaseCollection {
        /**
         * @param int $size
         * @return OfferingType[][]|Collection<_IH_OfferingType_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_OfferingType_QB whereId($value)
     * @method _IH_OfferingType_QB whereCompanyid($value)
     * @method _IH_OfferingType_QB whereOfferingname($value)
     * @method _IH_OfferingType_QB whereIsActive($value)
     * @method _IH_OfferingType_QB whereCreatedAt($value)
     * @method _IH_OfferingType_QB whereUpdatedAt($value)
     * @method OfferingType create(array $attributes = [])
     * @method OfferingType createOrFirst(array $attributes = [], array $values = [])
     * @method OfferingType createQuietly(array $attributes = [])
     * @method _IH_OfferingType_C|OfferingType[] cursor()
     * @method OfferingType[] eagerLoadRelations(array $models)
     * @method OfferingType|null|_IH_OfferingType_C|OfferingType[] find($id, array|string $columns = ['*'])
     * @method _IH_OfferingType_C|OfferingType[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method OfferingType|_IH_OfferingType_C|OfferingType[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method OfferingType|_IH_OfferingType_C|OfferingType[] findOrFail($id, array|string $columns = ['*'])
     * @method OfferingType|_IH_OfferingType_C|OfferingType[] findOrNew($id, array|string $columns = ['*'])
     * @method OfferingType findSole($id, array|string $columns = ['*'])
     * @method OfferingType first(array|string $columns = ['*'])
     * @method OfferingType firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method OfferingType firstOrCreate(array $attributes = [], array $values = [])
     * @method OfferingType firstOrFail(array|string $columns = ['*'])
     * @method OfferingType firstOrNew(array $attributes = [], array $values = [])
     * @method OfferingType firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method OfferingType forceCreate(array $attributes)
     * @method OfferingType forceCreateQuietly(array $attributes = [])
     * @method _IH_OfferingType_C|OfferingType[] fromQuery(string $query, array $bindings = [])
     * @method _IH_OfferingType_C|OfferingType[] get(array|string $columns = ['*'])
     * @method OfferingType getModel()
     * @method OfferingType[] getModels(array|string $columns = ['*'])
     * @method _IH_OfferingType_C|OfferingType[] hydrate(array $items)
     * @method OfferingType incrementOrCreate(array $attributes, string $column = 'count', float|int $default = 1, float|int $step = 1, array $extra = [])
     * @method _IH_OfferingType_C|OfferingType[] lazy(int $chunkSize = 1000)
     * @method _IH_OfferingType_C|OfferingType[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_OfferingType_C|OfferingType[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method OfferingType make(array $attributes = [])
     * @method OfferingType newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|OfferingType[]|_IH_OfferingType_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method OfferingType restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|OfferingType[]|_IH_OfferingType_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method OfferingType sole(array|string $columns = ['*'])
     * @method OfferingType updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_OfferingType_QB extends _BaseBuilder {}
    
    /**
     * @method PaymentOption|null getOrPut($key, \Closure $value)
     * @method PaymentOption|$this shift(int $count = 1)
     * @method PaymentOption|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method PaymentOption|$this pop(int $count = 1)
     * @method PaymentOption|null pull($key, \Closure $default = null)
     * @method PaymentOption|null last(callable|null $callback = null, \Closure $default = null)
     * @method PaymentOption|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method PaymentOption|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method PaymentOption|null get($key, \Closure $default = null)
     * @method PaymentOption|null first(callable|null $callback = null, \Closure $default = null)
     * @method PaymentOption|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method PaymentOption|null find($key, $default = null)
     * @method PaymentOption[] all()
     */
    class _IH_PaymentOption_C extends _BaseCollection {
        /**
         * @param int $size
         * @return PaymentOption[][]|Collection<_IH_PaymentOption_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_PaymentOption_QB whereId($value)
     * @method _IH_PaymentOption_QB whereCompanyid($value)
     * @method _IH_PaymentOption_QB wherePaymentoption($value)
     * @method _IH_PaymentOption_QB whereIsActive($value)
     * @method _IH_PaymentOption_QB whereCreatedAt($value)
     * @method _IH_PaymentOption_QB whereUpdatedAt($value)
     * @method PaymentOption create(array $attributes = [])
     * @method PaymentOption createOrFirst(array $attributes = [], array $values = [])
     * @method PaymentOption createQuietly(array $attributes = [])
     * @method _IH_PaymentOption_C|PaymentOption[] cursor()
     * @method PaymentOption[] eagerLoadRelations(array $models)
     * @method PaymentOption|null|_IH_PaymentOption_C|PaymentOption[] find($id, array|string $columns = ['*'])
     * @method _IH_PaymentOption_C|PaymentOption[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method PaymentOption|_IH_PaymentOption_C|PaymentOption[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method PaymentOption|_IH_PaymentOption_C|PaymentOption[] findOrFail($id, array|string $columns = ['*'])
     * @method PaymentOption|_IH_PaymentOption_C|PaymentOption[] findOrNew($id, array|string $columns = ['*'])
     * @method PaymentOption findSole($id, array|string $columns = ['*'])
     * @method PaymentOption first(array|string $columns = ['*'])
     * @method PaymentOption firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method PaymentOption firstOrCreate(array $attributes = [], array $values = [])
     * @method PaymentOption firstOrFail(array|string $columns = ['*'])
     * @method PaymentOption firstOrNew(array $attributes = [], array $values = [])
     * @method PaymentOption firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method PaymentOption forceCreate(array $attributes)
     * @method PaymentOption forceCreateQuietly(array $attributes = [])
     * @method _IH_PaymentOption_C|PaymentOption[] fromQuery(string $query, array $bindings = [])
     * @method _IH_PaymentOption_C|PaymentOption[] get(array|string $columns = ['*'])
     * @method PaymentOption getModel()
     * @method PaymentOption[] getModels(array|string $columns = ['*'])
     * @method _IH_PaymentOption_C|PaymentOption[] hydrate(array $items)
     * @method PaymentOption incrementOrCreate(array $attributes, string $column = 'count', float|int $default = 1, float|int $step = 1, array $extra = [])
     * @method _IH_PaymentOption_C|PaymentOption[] lazy(int $chunkSize = 1000)
     * @method _IH_PaymentOption_C|PaymentOption[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_PaymentOption_C|PaymentOption[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method PaymentOption make(array $attributes = [])
     * @method PaymentOption newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|PaymentOption[]|_IH_PaymentOption_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method PaymentOption restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|PaymentOption[]|_IH_PaymentOption_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method PaymentOption sole(array|string $columns = ['*'])
     * @method PaymentOption updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_PaymentOption_QB extends _BaseBuilder {}
    
    /**
     * @method Province|null getOrPut($key, \Closure $value)
     * @method Province|$this shift(int $count = 1)
     * @method Province|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Province|$this pop(int $count = 1)
     * @method Province|null pull($key, \Closure $default = null)
     * @method Province|null last(callable|null $callback = null, \Closure $default = null)
     * @method Province|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Province|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Province|null get($key, \Closure $default = null)
     * @method Province|null first(callable|null $callback = null, \Closure $default = null)
     * @method Province|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Province|null find($key, $default = null)
     * @method Province[] all()
     */
    class _IH_Province_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Province[][]|Collection<_IH_Province_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Province_QB whereId($value)
     * @method _IH_Province_QB whereName($value)
     * @method _IH_Province_QB whereCreatedAt($value)
     * @method _IH_Province_QB whereUpdatedAt($value)
     * @method Province create(array $attributes = [])
     * @method Province createOrFirst(array $attributes = [], array $values = [])
     * @method Province createQuietly(array $attributes = [])
     * @method _IH_Province_C|Province[] cursor()
     * @method Province[] eagerLoadRelations(array $models)
     * @method Province|null|_IH_Province_C|Province[] find($id, array|string $columns = ['*'])
     * @method _IH_Province_C|Province[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Province|_IH_Province_C|Province[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Province|_IH_Province_C|Province[] findOrFail($id, array|string $columns = ['*'])
     * @method Province|_IH_Province_C|Province[] findOrNew($id, array|string $columns = ['*'])
     * @method Province findSole($id, array|string $columns = ['*'])
     * @method Province first(array|string $columns = ['*'])
     * @method Province firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Province firstOrCreate(array $attributes = [], array $values = [])
     * @method Province firstOrFail(array|string $columns = ['*'])
     * @method Province firstOrNew(array $attributes = [], array $values = [])
     * @method Province firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Province forceCreate(array $attributes)
     * @method Province forceCreateQuietly(array $attributes = [])
     * @method _IH_Province_C|Province[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Province_C|Province[] get(array|string $columns = ['*'])
     * @method Province getModel()
     * @method Province[] getModels(array|string $columns = ['*'])
     * @method _IH_Province_C|Province[] hydrate(array $items)
     * @method Province incrementOrCreate(array $attributes, string $column = 'count', float|int $default = 1, float|int $step = 1, array $extra = [])
     * @method _IH_Province_C|Province[] lazy(int $chunkSize = 1000)
     * @method _IH_Province_C|Province[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Province_C|Province[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Province make(array $attributes = [])
     * @method Province newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Province[]|_IH_Province_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Province restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Province[]|_IH_Province_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Province sole(array|string $columns = ['*'])
     * @method Province updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Province_QB extends _BaseBuilder {}
    
    /**
     * @method ReportDefinition|null getOrPut($key, \Closure $value)
     * @method ReportDefinition|$this shift(int $count = 1)
     * @method ReportDefinition|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ReportDefinition|$this pop(int $count = 1)
     * @method ReportDefinition|null pull($key, \Closure $default = null)
     * @method ReportDefinition|null last(callable|null $callback = null, \Closure $default = null)
     * @method ReportDefinition|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ReportDefinition|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ReportDefinition|null get($key, \Closure $default = null)
     * @method ReportDefinition|null first(callable|null $callback = null, \Closure $default = null)
     * @method ReportDefinition|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ReportDefinition|null find($key, $default = null)
     * @method ReportDefinition[] all()
     */
    class _IH_ReportDefinition_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ReportDefinition[][]|Collection<_IH_ReportDefinition_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ReportDefinition_QB whereId($value)
     * @method _IH_ReportDefinition_QB whereCompanyId($value)
     * @method _IH_ReportDefinition_QB whereReportName($value)
     * @method _IH_ReportDefinition_QB whereFrequency($value)
     * @method _IH_ReportDefinition_QB whereIsActive($value)
     * @method _IH_ReportDefinition_QB whereCreatedAt($value)
     * @method _IH_ReportDefinition_QB whereUpdatedAt($value)
     * @method ReportDefinition create(array $attributes = [])
     * @method ReportDefinition createOrFirst(array $attributes = [], array $values = [])
     * @method ReportDefinition createQuietly(array $attributes = [])
     * @method _IH_ReportDefinition_C|ReportDefinition[] cursor()
     * @method ReportDefinition[] eagerLoadRelations(array $models)
     * @method ReportDefinition|null|_IH_ReportDefinition_C|ReportDefinition[] find($id, array|string $columns = ['*'])
     * @method _IH_ReportDefinition_C|ReportDefinition[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ReportDefinition|_IH_ReportDefinition_C|ReportDefinition[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method ReportDefinition|_IH_ReportDefinition_C|ReportDefinition[] findOrFail($id, array|string $columns = ['*'])
     * @method ReportDefinition|_IH_ReportDefinition_C|ReportDefinition[] findOrNew($id, array|string $columns = ['*'])
     * @method ReportDefinition findSole($id, array|string $columns = ['*'])
     * @method ReportDefinition first(array|string $columns = ['*'])
     * @method ReportDefinition firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method ReportDefinition firstOrCreate(array $attributes = [], array $values = [])
     * @method ReportDefinition firstOrFail(array|string $columns = ['*'])
     * @method ReportDefinition firstOrNew(array $attributes = [], array $values = [])
     * @method ReportDefinition firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ReportDefinition forceCreate(array $attributes)
     * @method ReportDefinition forceCreateQuietly(array $attributes = [])
     * @method _IH_ReportDefinition_C|ReportDefinition[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ReportDefinition_C|ReportDefinition[] get(array|string $columns = ['*'])
     * @method ReportDefinition getModel()
     * @method ReportDefinition[] getModels(array|string $columns = ['*'])
     * @method _IH_ReportDefinition_C|ReportDefinition[] hydrate(array $items)
     * @method ReportDefinition incrementOrCreate(array $attributes, string $column = 'count', float|int $default = 1, float|int $step = 1, array $extra = [])
     * @method _IH_ReportDefinition_C|ReportDefinition[] lazy(int $chunkSize = 1000)
     * @method _IH_ReportDefinition_C|ReportDefinition[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ReportDefinition_C|ReportDefinition[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ReportDefinition make(array $attributes = [])
     * @method ReportDefinition newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ReportDefinition[]|_IH_ReportDefinition_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method ReportDefinition restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|ReportDefinition[]|_IH_ReportDefinition_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ReportDefinition sole(array|string $columns = ['*'])
     * @method ReportDefinition updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ReportDefinition_QB extends _BaseBuilder {}
    
    /**
     * @method ReportSubmissionData|null getOrPut($key, \Closure $value)
     * @method ReportSubmissionData|$this shift(int $count = 1)
     * @method ReportSubmissionData|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ReportSubmissionData|$this pop(int $count = 1)
     * @method ReportSubmissionData|null pull($key, \Closure $default = null)
     * @method ReportSubmissionData|null last(callable|null $callback = null, \Closure $default = null)
     * @method ReportSubmissionData|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ReportSubmissionData|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ReportSubmissionData|null get($key, \Closure $default = null)
     * @method ReportSubmissionData|null first(callable|null $callback = null, \Closure $default = null)
     * @method ReportSubmissionData|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ReportSubmissionData|null find($key, $default = null)
     * @method ReportSubmissionData[] all()
     */
    class _IH_ReportSubmissionData_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ReportSubmissionData[][]|Collection<_IH_ReportSubmissionData_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ReportSubmissionData_QB whereId($value)
     * @method _IH_ReportSubmissionData_QB whereSubmissionId($value)
     * @method _IH_ReportSubmissionData_QB whereIndicatorId($value)
     * @method _IH_ReportSubmissionData_QB whereIndicatorValue($value)
     * @method _IH_ReportSubmissionData_QB whereCreatedAt($value)
     * @method _IH_ReportSubmissionData_QB whereUpdatedAt($value)
     * @method ReportSubmissionData create(array $attributes = [])
     * @method ReportSubmissionData createOrFirst(array $attributes = [], array $values = [])
     * @method ReportSubmissionData createQuietly(array $attributes = [])
     * @method _IH_ReportSubmissionData_C|ReportSubmissionData[] cursor()
     * @method ReportSubmissionData[] eagerLoadRelations(array $models)
     * @method ReportSubmissionData|null|_IH_ReportSubmissionData_C|ReportSubmissionData[] find($id, array|string $columns = ['*'])
     * @method _IH_ReportSubmissionData_C|ReportSubmissionData[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ReportSubmissionData|_IH_ReportSubmissionData_C|ReportSubmissionData[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method ReportSubmissionData|_IH_ReportSubmissionData_C|ReportSubmissionData[] findOrFail($id, array|string $columns = ['*'])
     * @method ReportSubmissionData|_IH_ReportSubmissionData_C|ReportSubmissionData[] findOrNew($id, array|string $columns = ['*'])
     * @method ReportSubmissionData findSole($id, array|string $columns = ['*'])
     * @method ReportSubmissionData first(array|string $columns = ['*'])
     * @method ReportSubmissionData firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method ReportSubmissionData firstOrCreate(array $attributes = [], array $values = [])
     * @method ReportSubmissionData firstOrFail(array|string $columns = ['*'])
     * @method ReportSubmissionData firstOrNew(array $attributes = [], array $values = [])
     * @method ReportSubmissionData firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ReportSubmissionData forceCreate(array $attributes)
     * @method ReportSubmissionData forceCreateQuietly(array $attributes = [])
     * @method _IH_ReportSubmissionData_C|ReportSubmissionData[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ReportSubmissionData_C|ReportSubmissionData[] get(array|string $columns = ['*'])
     * @method ReportSubmissionData getModel()
     * @method ReportSubmissionData[] getModels(array|string $columns = ['*'])
     * @method _IH_ReportSubmissionData_C|ReportSubmissionData[] hydrate(array $items)
     * @method ReportSubmissionData incrementOrCreate(array $attributes, string $column = 'count', float|int $default = 1, float|int $step = 1, array $extra = [])
     * @method _IH_ReportSubmissionData_C|ReportSubmissionData[] lazy(int $chunkSize = 1000)
     * @method _IH_ReportSubmissionData_C|ReportSubmissionData[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ReportSubmissionData_C|ReportSubmissionData[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ReportSubmissionData make(array $attributes = [])
     * @method ReportSubmissionData newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ReportSubmissionData[]|_IH_ReportSubmissionData_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method ReportSubmissionData restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|ReportSubmissionData[]|_IH_ReportSubmissionData_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ReportSubmissionData sole(array|string $columns = ['*'])
     * @method ReportSubmissionData updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ReportSubmissionData_QB extends _BaseBuilder {}
    
    /**
     * @method ReportSubmission|null getOrPut($key, \Closure $value)
     * @method ReportSubmission|$this shift(int $count = 1)
     * @method ReportSubmission|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method ReportSubmission|$this pop(int $count = 1)
     * @method ReportSubmission|null pull($key, \Closure $default = null)
     * @method ReportSubmission|null last(callable|null $callback = null, \Closure $default = null)
     * @method ReportSubmission|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method ReportSubmission|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method ReportSubmission|null get($key, \Closure $default = null)
     * @method ReportSubmission|null first(callable|null $callback = null, \Closure $default = null)
     * @method ReportSubmission|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method ReportSubmission|null find($key, $default = null)
     * @method ReportSubmission[] all()
     */
    class _IH_ReportSubmission_C extends _BaseCollection {
        /**
         * @param int $size
         * @return ReportSubmission[][]|Collection<_IH_ReportSubmission_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_ReportSubmission_QB whereId($value)
     * @method _IH_ReportSubmission_QB whereReportId($value)
     * @method _IH_ReportSubmission_QB whereSubmittedBy($value)
     * @method _IH_ReportSubmission_QB whereQuarter($value)
     * @method _IH_ReportSubmission_QB whereCreatedAt($value)
     * @method _IH_ReportSubmission_QB whereUpdatedAt($value)
     * @method _IH_ReportSubmission_QB whereStatus($value)
     * @method _IH_ReportSubmission_QB whereSmallGroupId($value)
     * @method ReportSubmission create(array $attributes = [])
     * @method ReportSubmission createOrFirst(array $attributes = [], array $values = [])
     * @method ReportSubmission createQuietly(array $attributes = [])
     * @method _IH_ReportSubmission_C|ReportSubmission[] cursor()
     * @method ReportSubmission[] eagerLoadRelations(array $models)
     * @method ReportSubmission|null|_IH_ReportSubmission_C|ReportSubmission[] find($id, array|string $columns = ['*'])
     * @method _IH_ReportSubmission_C|ReportSubmission[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method ReportSubmission|_IH_ReportSubmission_C|ReportSubmission[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method ReportSubmission|_IH_ReportSubmission_C|ReportSubmission[] findOrFail($id, array|string $columns = ['*'])
     * @method ReportSubmission|_IH_ReportSubmission_C|ReportSubmission[] findOrNew($id, array|string $columns = ['*'])
     * @method ReportSubmission findSole($id, array|string $columns = ['*'])
     * @method ReportSubmission first(array|string $columns = ['*'])
     * @method ReportSubmission firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method ReportSubmission firstOrCreate(array $attributes = [], array $values = [])
     * @method ReportSubmission firstOrFail(array|string $columns = ['*'])
     * @method ReportSubmission firstOrNew(array $attributes = [], array $values = [])
     * @method ReportSubmission firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method ReportSubmission forceCreate(array $attributes)
     * @method ReportSubmission forceCreateQuietly(array $attributes = [])
     * @method _IH_ReportSubmission_C|ReportSubmission[] fromQuery(string $query, array $bindings = [])
     * @method _IH_ReportSubmission_C|ReportSubmission[] get(array|string $columns = ['*'])
     * @method ReportSubmission getModel()
     * @method ReportSubmission[] getModels(array|string $columns = ['*'])
     * @method _IH_ReportSubmission_C|ReportSubmission[] hydrate(array $items)
     * @method ReportSubmission incrementOrCreate(array $attributes, string $column = 'count', float|int $default = 1, float|int $step = 1, array $extra = [])
     * @method _IH_ReportSubmission_C|ReportSubmission[] lazy(int $chunkSize = 1000)
     * @method _IH_ReportSubmission_C|ReportSubmission[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_ReportSubmission_C|ReportSubmission[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method ReportSubmission make(array $attributes = [])
     * @method ReportSubmission newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|ReportSubmission[]|_IH_ReportSubmission_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method ReportSubmission restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|ReportSubmission[]|_IH_ReportSubmission_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method ReportSubmission sole(array|string $columns = ['*'])
     * @method ReportSubmission updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_ReportSubmission_QB extends _BaseBuilder {}
    
    /**
     * @method Sector|null getOrPut($key, \Closure $value)
     * @method Sector|$this shift(int $count = 1)
     * @method Sector|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Sector|$this pop(int $count = 1)
     * @method Sector|null pull($key, \Closure $default = null)
     * @method Sector|null last(callable|null $callback = null, \Closure $default = null)
     * @method Sector|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Sector|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Sector|null get($key, \Closure $default = null)
     * @method Sector|null first(callable|null $callback = null, \Closure $default = null)
     * @method Sector|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Sector|null find($key, $default = null)
     * @method Sector[] all()
     */
    class _IH_Sector_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Sector[][]|Collection<_IH_Sector_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Sector_QB whereId($value)
     * @method _IH_Sector_QB whereDistrictId($value)
     * @method _IH_Sector_QB whereName($value)
     * @method _IH_Sector_QB whereCreatedAt($value)
     * @method _IH_Sector_QB whereUpdatedAt($value)
     * @method Sector create(array $attributes = [])
     * @method Sector createOrFirst(array $attributes = [], array $values = [])
     * @method Sector createQuietly(array $attributes = [])
     * @method _IH_Sector_C|Sector[] cursor()
     * @method Sector[] eagerLoadRelations(array $models)
     * @method Sector|null|_IH_Sector_C|Sector[] find($id, array|string $columns = ['*'])
     * @method _IH_Sector_C|Sector[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Sector|_IH_Sector_C|Sector[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Sector|_IH_Sector_C|Sector[] findOrFail($id, array|string $columns = ['*'])
     * @method Sector|_IH_Sector_C|Sector[] findOrNew($id, array|string $columns = ['*'])
     * @method Sector findSole($id, array|string $columns = ['*'])
     * @method Sector first(array|string $columns = ['*'])
     * @method Sector firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Sector firstOrCreate(array $attributes = [], array $values = [])
     * @method Sector firstOrFail(array|string $columns = ['*'])
     * @method Sector firstOrNew(array $attributes = [], array $values = [])
     * @method Sector firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Sector forceCreate(array $attributes)
     * @method Sector forceCreateQuietly(array $attributes = [])
     * @method _IH_Sector_C|Sector[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Sector_C|Sector[] get(array|string $columns = ['*'])
     * @method Sector getModel()
     * @method Sector[] getModels(array|string $columns = ['*'])
     * @method _IH_Sector_C|Sector[] hydrate(array $items)
     * @method Sector incrementOrCreate(array $attributes, string $column = 'count', float|int $default = 1, float|int $step = 1, array $extra = [])
     * @method _IH_Sector_C|Sector[] lazy(int $chunkSize = 1000)
     * @method _IH_Sector_C|Sector[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Sector_C|Sector[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Sector make(array $attributes = [])
     * @method Sector newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Sector[]|_IH_Sector_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Sector restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Sector[]|_IH_Sector_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Sector sole(array|string $columns = ['*'])
     * @method Sector updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Sector_QB extends _BaseBuilder {}
    
    /**
     * @method Small_group|null getOrPut($key, \Closure $value)
     * @method Small_group|$this shift(int $count = 1)
     * @method Small_group|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Small_group|$this pop(int $count = 1)
     * @method Small_group|null pull($key, \Closure $default = null)
     * @method Small_group|null last(callable|null $callback = null, \Closure $default = null)
     * @method Small_group|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Small_group|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Small_group|null get($key, \Closure $default = null)
     * @method Small_group|null first(callable|null $callback = null, \Closure $default = null)
     * @method Small_group|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Small_group|null find($key, $default = null)
     * @method Small_group[] all()
     */
    class _IH_Small_group_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Small_group[][]|Collection<_IH_Small_group_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Small_group_QB whereId($value)
     * @method _IH_Small_group_QB whereGroupName($value)
     * @method _IH_Small_group_QB whereGroupLeader($value)
     * @method _IH_Small_group_QB whereLeaderPhoneNumber($value)
     * @method _IH_Small_group_QB whereDescription($value)
     * @method _IH_Small_group_QB whereCreatedAt($value)
     * @method _IH_Small_group_QB whereUpdatedAt($value)
     * @method _IH_Small_group_QB whereCompanyId($value)
     * @method Small_group create(array $attributes = [])
     * @method Small_group createOrFirst(array $attributes = [], array $values = [])
     * @method Small_group createQuietly(array $attributes = [])
     * @method _IH_Small_group_C|Small_group[] cursor()
     * @method Small_group[] eagerLoadRelations(array $models)
     * @method Small_group|null|_IH_Small_group_C|Small_group[] find($id, array|string $columns = ['*'])
     * @method _IH_Small_group_C|Small_group[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Small_group|_IH_Small_group_C|Small_group[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Small_group|_IH_Small_group_C|Small_group[] findOrFail($id, array|string $columns = ['*'])
     * @method Small_group|_IH_Small_group_C|Small_group[] findOrNew($id, array|string $columns = ['*'])
     * @method Small_group findSole($id, array|string $columns = ['*'])
     * @method Small_group first(array|string $columns = ['*'])
     * @method Small_group firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Small_group firstOrCreate(array $attributes = [], array $values = [])
     * @method Small_group firstOrFail(array|string $columns = ['*'])
     * @method Small_group firstOrNew(array $attributes = [], array $values = [])
     * @method Small_group firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Small_group forceCreate(array $attributes)
     * @method Small_group forceCreateQuietly(array $attributes = [])
     * @method _IH_Small_group_C|Small_group[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Small_group_C|Small_group[] get(array|string $columns = ['*'])
     * @method Small_group getModel()
     * @method Small_group[] getModels(array|string $columns = ['*'])
     * @method _IH_Small_group_C|Small_group[] hydrate(array $items)
     * @method Small_group incrementOrCreate(array $attributes, string $column = 'count', float|int $default = 1, float|int $step = 1, array $extra = [])
     * @method _IH_Small_group_C|Small_group[] lazy(int $chunkSize = 1000)
     * @method _IH_Small_group_C|Small_group[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Small_group_C|Small_group[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Small_group make(array $attributes = [])
     * @method Small_group newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Small_group[]|_IH_Small_group_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Small_group restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Small_group[]|_IH_Small_group_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Small_group sole(array|string $columns = ['*'])
     * @method Small_group updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Small_group_QB extends _BaseBuilder {}
    
    /**
     * @method Status|null getOrPut($key, \Closure $value)
     * @method Status|$this shift(int $count = 1)
     * @method Status|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Status|$this pop(int $count = 1)
     * @method Status|null pull($key, \Closure $default = null)
     * @method Status|null last(callable|null $callback = null, \Closure $default = null)
     * @method Status|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Status|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Status|null get($key, \Closure $default = null)
     * @method Status|null first(callable|null $callback = null, \Closure $default = null)
     * @method Status|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Status|null find($key, $default = null)
     * @method Status[] all()
     */
    class _IH_Status_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Status[][]|Collection<_IH_Status_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Status_QB whereId($value)
     * @method _IH_Status_QB whereStatusname($value)
     * @method _IH_Status_QB whereIsActive($value)
     * @method _IH_Status_QB whereCreatedAt($value)
     * @method _IH_Status_QB whereUpdatedAt($value)
     * @method Status create(array $attributes = [])
     * @method Status createOrFirst(array $attributes = [], array $values = [])
     * @method Status createQuietly(array $attributes = [])
     * @method _IH_Status_C|Status[] cursor()
     * @method Status[] eagerLoadRelations(array $models)
     * @method Status|null|_IH_Status_C|Status[] find($id, array|string $columns = ['*'])
     * @method _IH_Status_C|Status[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Status|_IH_Status_C|Status[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Status|_IH_Status_C|Status[] findOrFail($id, array|string $columns = ['*'])
     * @method Status|_IH_Status_C|Status[] findOrNew($id, array|string $columns = ['*'])
     * @method Status findSole($id, array|string $columns = ['*'])
     * @method Status first(array|string $columns = ['*'])
     * @method Status firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Status firstOrCreate(array $attributes = [], array $values = [])
     * @method Status firstOrFail(array|string $columns = ['*'])
     * @method Status firstOrNew(array $attributes = [], array $values = [])
     * @method Status firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Status forceCreate(array $attributes)
     * @method Status forceCreateQuietly(array $attributes = [])
     * @method _IH_Status_C|Status[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Status_C|Status[] get(array|string $columns = ['*'])
     * @method Status getModel()
     * @method Status[] getModels(array|string $columns = ['*'])
     * @method _IH_Status_C|Status[] hydrate(array $items)
     * @method Status incrementOrCreate(array $attributes, string $column = 'count', float|int $default = 1, float|int $step = 1, array $extra = [])
     * @method _IH_Status_C|Status[] lazy(int $chunkSize = 1000)
     * @method _IH_Status_C|Status[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Status_C|Status[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Status make(array $attributes = [])
     * @method Status newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Status[]|_IH_Status_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Status restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Status[]|_IH_Status_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Status sole(array|string $columns = ['*'])
     * @method Status updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Status_QB extends _BaseBuilder {}
    
    /**
     * @method TitheAndOffering|null getOrPut($key, \Closure $value)
     * @method TitheAndOffering|$this shift(int $count = 1)
     * @method TitheAndOffering|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method TitheAndOffering|$this pop(int $count = 1)
     * @method TitheAndOffering|null pull($key, \Closure $default = null)
     * @method TitheAndOffering|null last(callable|null $callback = null, \Closure $default = null)
     * @method TitheAndOffering|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method TitheAndOffering|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method TitheAndOffering|null get($key, \Closure $default = null)
     * @method TitheAndOffering|null first(callable|null $callback = null, \Closure $default = null)
     * @method TitheAndOffering|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method TitheAndOffering|null find($key, $default = null)
     * @method TitheAndOffering[] all()
     */
    class _IH_TitheAndOffering_C extends _BaseCollection {
        /**
         * @param int $size
         * @return TitheAndOffering[][]|Collection<_IH_TitheAndOffering_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_TitheAndOffering_QB whereId($value)
     * @method _IH_TitheAndOffering_QB whereCompanyid($value)
     * @method _IH_TitheAndOffering_QB whereMemberid($value)
     * @method _IH_TitheAndOffering_QB whereOfferingtypeid($value)
     * @method _IH_TitheAndOffering_QB whereAmount($value)
     * @method _IH_TitheAndOffering_QB wherePaymentoptionid($value)
     * @method _IH_TitheAndOffering_QB whereCreatedAt($value)
     * @method _IH_TitheAndOffering_QB whereUpdatedAt($value)
     * @method _IH_TitheAndOffering_QB whereMemberNames($value)
     * @method _IH_TitheAndOffering_QB whereMemberPhone($value)
     * @method _IH_TitheAndOffering_QB whereTxnId($value)
     * @method _IH_TitheAndOffering_QB whereTxnRef($value)
     * @method _IH_TitheAndOffering_QB whereTitheOfferingBaseId($value)
     * @method TitheAndOffering create(array $attributes = [])
     * @method TitheAndOffering createOrFirst(array $attributes = [], array $values = [])
     * @method TitheAndOffering createQuietly(array $attributes = [])
     * @method _IH_TitheAndOffering_C|TitheAndOffering[] cursor()
     * @method TitheAndOffering[] eagerLoadRelations(array $models)
     * @method TitheAndOffering|null|_IH_TitheAndOffering_C|TitheAndOffering[] find($id, array|string $columns = ['*'])
     * @method _IH_TitheAndOffering_C|TitheAndOffering[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method TitheAndOffering|_IH_TitheAndOffering_C|TitheAndOffering[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method TitheAndOffering|_IH_TitheAndOffering_C|TitheAndOffering[] findOrFail($id, array|string $columns = ['*'])
     * @method TitheAndOffering|_IH_TitheAndOffering_C|TitheAndOffering[] findOrNew($id, array|string $columns = ['*'])
     * @method TitheAndOffering findSole($id, array|string $columns = ['*'])
     * @method TitheAndOffering first(array|string $columns = ['*'])
     * @method TitheAndOffering firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method TitheAndOffering firstOrCreate(array $attributes = [], array $values = [])
     * @method TitheAndOffering firstOrFail(array|string $columns = ['*'])
     * @method TitheAndOffering firstOrNew(array $attributes = [], array $values = [])
     * @method TitheAndOffering firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method TitheAndOffering forceCreate(array $attributes)
     * @method TitheAndOffering forceCreateQuietly(array $attributes = [])
     * @method _IH_TitheAndOffering_C|TitheAndOffering[] fromQuery(string $query, array $bindings = [])
     * @method _IH_TitheAndOffering_C|TitheAndOffering[] get(array|string $columns = ['*'])
     * @method TitheAndOffering getModel()
     * @method TitheAndOffering[] getModels(array|string $columns = ['*'])
     * @method _IH_TitheAndOffering_C|TitheAndOffering[] hydrate(array $items)
     * @method TitheAndOffering incrementOrCreate(array $attributes, string $column = 'count', float|int $default = 1, float|int $step = 1, array $extra = [])
     * @method _IH_TitheAndOffering_C|TitheAndOffering[] lazy(int $chunkSize = 1000)
     * @method _IH_TitheAndOffering_C|TitheAndOffering[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_TitheAndOffering_C|TitheAndOffering[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method TitheAndOffering make(array $attributes = [])
     * @method TitheAndOffering newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|TitheAndOffering[]|_IH_TitheAndOffering_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method TitheAndOffering restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|TitheAndOffering[]|_IH_TitheAndOffering_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method TitheAndOffering sole(array|string $columns = ['*'])
     * @method TitheAndOffering updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_TitheAndOffering_QB extends _BaseBuilder {}
    
    /**
     * @method TitheOfferingBase|null getOrPut($key, \Closure $value)
     * @method TitheOfferingBase|$this shift(int $count = 1)
     * @method TitheOfferingBase|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method TitheOfferingBase|$this pop(int $count = 1)
     * @method TitheOfferingBase|null pull($key, \Closure $default = null)
     * @method TitheOfferingBase|null last(callable|null $callback = null, \Closure $default = null)
     * @method TitheOfferingBase|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method TitheOfferingBase|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method TitheOfferingBase|null get($key, \Closure $default = null)
     * @method TitheOfferingBase|null first(callable|null $callback = null, \Closure $default = null)
     * @method TitheOfferingBase|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method TitheOfferingBase|null find($key, $default = null)
     * @method TitheOfferingBase[] all()
     */
    class _IH_TitheOfferingBase_C extends _BaseCollection {
        /**
         * @param int $size
         * @return TitheOfferingBase[][]|Collection<_IH_TitheOfferingBase_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_TitheOfferingBase_QB whereId($value)
     * @method _IH_TitheOfferingBase_QB whereUserId($value)
     * @method _IH_TitheOfferingBase_QB whereSource($value)
     * @method _IH_TitheOfferingBase_QB whereCompanyId($value)
     * @method _IH_TitheOfferingBase_QB whereStatus($value)
     * @method _IH_TitheOfferingBase_QB whereCreatedAt($value)
     * @method _IH_TitheOfferingBase_QB whereUpdatedAt($value)
     * @method TitheOfferingBase create(array $attributes = [])
     * @method TitheOfferingBase createOrFirst(array $attributes = [], array $values = [])
     * @method TitheOfferingBase createQuietly(array $attributes = [])
     * @method _IH_TitheOfferingBase_C|TitheOfferingBase[] cursor()
     * @method TitheOfferingBase[] eagerLoadRelations(array $models)
     * @method TitheOfferingBase|null|_IH_TitheOfferingBase_C|TitheOfferingBase[] find($id, array|string $columns = ['*'])
     * @method _IH_TitheOfferingBase_C|TitheOfferingBase[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method TitheOfferingBase|_IH_TitheOfferingBase_C|TitheOfferingBase[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method TitheOfferingBase|_IH_TitheOfferingBase_C|TitheOfferingBase[] findOrFail($id, array|string $columns = ['*'])
     * @method TitheOfferingBase|_IH_TitheOfferingBase_C|TitheOfferingBase[] findOrNew($id, array|string $columns = ['*'])
     * @method TitheOfferingBase findSole($id, array|string $columns = ['*'])
     * @method TitheOfferingBase first(array|string $columns = ['*'])
     * @method TitheOfferingBase firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method TitheOfferingBase firstOrCreate(array $attributes = [], array $values = [])
     * @method TitheOfferingBase firstOrFail(array|string $columns = ['*'])
     * @method TitheOfferingBase firstOrNew(array $attributes = [], array $values = [])
     * @method TitheOfferingBase firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method TitheOfferingBase forceCreate(array $attributes)
     * @method TitheOfferingBase forceCreateQuietly(array $attributes = [])
     * @method _IH_TitheOfferingBase_C|TitheOfferingBase[] fromQuery(string $query, array $bindings = [])
     * @method _IH_TitheOfferingBase_C|TitheOfferingBase[] get(array|string $columns = ['*'])
     * @method TitheOfferingBase getModel()
     * @method TitheOfferingBase[] getModels(array|string $columns = ['*'])
     * @method _IH_TitheOfferingBase_C|TitheOfferingBase[] hydrate(array $items)
     * @method TitheOfferingBase incrementOrCreate(array $attributes, string $column = 'count', float|int $default = 1, float|int $step = 1, array $extra = [])
     * @method _IH_TitheOfferingBase_C|TitheOfferingBase[] lazy(int $chunkSize = 1000)
     * @method _IH_TitheOfferingBase_C|TitheOfferingBase[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_TitheOfferingBase_C|TitheOfferingBase[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method TitheOfferingBase make(array $attributes = [])
     * @method TitheOfferingBase newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|TitheOfferingBase[]|_IH_TitheOfferingBase_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method TitheOfferingBase restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|TitheOfferingBase[]|_IH_TitheOfferingBase_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method TitheOfferingBase sole(array|string $columns = ['*'])
     * @method TitheOfferingBase updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_TitheOfferingBase_QB extends _BaseBuilder {}
    
    /**
     * @method User|null getOrPut($key, \Closure $value)
     * @method User|$this shift(int $count = 1)
     * @method User|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method User|$this pop(int $count = 1)
     * @method User|null pull($key, \Closure $default = null)
     * @method User|null last(callable|null $callback = null, \Closure $default = null)
     * @method User|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method User|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method User|null get($key, \Closure $default = null)
     * @method User|null first(callable|null $callback = null, \Closure $default = null)
     * @method User|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method User|null find($key, $default = null)
     * @method User[] all()
     */
    class _IH_User_C extends _BaseCollection {
        /**
         * @param int $size
         * @return User[][]|Collection<_IH_User_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_User_QB whereId($value)
     * @method _IH_User_QB whereName($value)
     * @method _IH_User_QB whereEmail($value)
     * @method _IH_User_QB whereEmailVerifiedAt($value)
     * @method _IH_User_QB wherePassword($value)
     * @method _IH_User_QB whereRememberToken($value)
     * @method _IH_User_QB whereCreatedAt($value)
     * @method _IH_User_QB whereUpdatedAt($value)
     * @method _IH_User_QB whereCompanyId($value)
     * @method _IH_User_QB whereIsAdmin($value)
     * @method _IH_User_QB whereIsActive($value)
     * @method _IH_User_QB whereCode($value)
     * @method _IH_User_QB whereSmallGroupId($value)
     * @method User create(array $attributes = [])
     * @method User createOrFirst(array $attributes = [], array $values = [])
     * @method User createQuietly(array $attributes = [])
     * @method _IH_User_C|User[] cursor()
     * @method User[] eagerLoadRelations(array $models)
     * @method User|null|_IH_User_C|User[] find($id, array|string $columns = ['*'])
     * @method _IH_User_C|User[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method User|_IH_User_C|User[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method User|_IH_User_C|User[] findOrFail($id, array|string $columns = ['*'])
     * @method User|_IH_User_C|User[] findOrNew($id, array|string $columns = ['*'])
     * @method User findSole($id, array|string $columns = ['*'])
     * @method User first(array|string $columns = ['*'])
     * @method User firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method User firstOrCreate(array $attributes = [], array $values = [])
     * @method User firstOrFail(array|string $columns = ['*'])
     * @method User firstOrNew(array $attributes = [], array $values = [])
     * @method User firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method User forceCreate(array $attributes)
     * @method User forceCreateQuietly(array $attributes = [])
     * @method _IH_User_C|User[] fromQuery(string $query, array $bindings = [])
     * @method _IH_User_C|User[] get(array|string $columns = ['*'])
     * @method User getModel()
     * @method User[] getModels(array|string $columns = ['*'])
     * @method _IH_User_C|User[] hydrate(array $items)
     * @method User incrementOrCreate(array $attributes, string $column = 'count', float|int $default = 1, float|int $step = 1, array $extra = [])
     * @method _IH_User_C|User[] lazy(int $chunkSize = 1000)
     * @method _IH_User_C|User[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_User_C|User[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method User make(array $attributes = [])
     * @method User newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|User[]|_IH_User_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method User restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|User[]|_IH_User_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method User sole(array|string $columns = ['*'])
     * @method User updateOrCreate(array $attributes, array $values = [])
     * @method _IH_User_QB permission(array|\BackedEnum|Collection|int|Permission|string $permissions, bool $without = false)
     * @method _IH_User_QB role(array|\BackedEnum|Collection|int|Role|string $roles, string $guard = null, bool $without = false)
     * @method _IH_User_QB withoutPermission(array|\BackedEnum|Collection|int|Permission|string $permissions)
     * @method _IH_User_QB withoutRole(array|\BackedEnum|Collection|int|Role|string $roles, string $guard = null)
     */
    class _IH_User_QB extends _BaseBuilder {}
    
    /**
     * @method Village|null getOrPut($key, \Closure $value)
     * @method Village|$this shift(int $count = 1)
     * @method Village|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Village|$this pop(int $count = 1)
     * @method Village|null pull($key, \Closure $default = null)
     * @method Village|null last(callable|null $callback = null, \Closure $default = null)
     * @method Village|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Village|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Village|null get($key, \Closure $default = null)
     * @method Village|null first(callable|null $callback = null, \Closure $default = null)
     * @method Village|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Village|null find($key, $default = null)
     * @method Village[] all()
     */
    class _IH_Village_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Village[][]|Collection<_IH_Village_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Village_QB whereId($value)
     * @method _IH_Village_QB whereCellId($value)
     * @method _IH_Village_QB whereName($value)
     * @method _IH_Village_QB whereCreatedAt($value)
     * @method _IH_Village_QB whereUpdatedAt($value)
     * @method Village create(array $attributes = [])
     * @method Village createOrFirst(array $attributes = [], array $values = [])
     * @method Village createQuietly(array $attributes = [])
     * @method _IH_Village_C|Village[] cursor()
     * @method Village[] eagerLoadRelations(array $models)
     * @method Village|null|_IH_Village_C|Village[] find($id, array|string $columns = ['*'])
     * @method _IH_Village_C|Village[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Village|_IH_Village_C|Village[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Village|_IH_Village_C|Village[] findOrFail($id, array|string $columns = ['*'])
     * @method Village|_IH_Village_C|Village[] findOrNew($id, array|string $columns = ['*'])
     * @method Village findSole($id, array|string $columns = ['*'])
     * @method Village first(array|string $columns = ['*'])
     * @method Village firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Village firstOrCreate(array $attributes = [], array $values = [])
     * @method Village firstOrFail(array|string $columns = ['*'])
     * @method Village firstOrNew(array $attributes = [], array $values = [])
     * @method Village firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Village forceCreate(array $attributes)
     * @method Village forceCreateQuietly(array $attributes = [])
     * @method _IH_Village_C|Village[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Village_C|Village[] get(array|string $columns = ['*'])
     * @method Village getModel()
     * @method Village[] getModels(array|string $columns = ['*'])
     * @method _IH_Village_C|Village[] hydrate(array $items)
     * @method Village incrementOrCreate(array $attributes, string $column = 'count', float|int $default = 1, float|int $step = 1, array $extra = [])
     * @method _IH_Village_C|Village[] lazy(int $chunkSize = 1000)
     * @method _IH_Village_C|Village[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Village_C|Village[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Village make(array $attributes = [])
     * @method Village newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Village[]|_IH_Village_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Village restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Village[]|_IH_Village_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Village sole(array|string $columns = ['*'])
     * @method Village updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Village_QB extends _BaseBuilder {}
    
    /**
     * @method Visit|null getOrPut($key, \Closure $value)
     * @method Visit|$this shift(int $count = 1)
     * @method Visit|null firstOrFail(callable|string $key = null, $operator = null, $value = null)
     * @method Visit|$this pop(int $count = 1)
     * @method Visit|null pull($key, \Closure $default = null)
     * @method Visit|null last(callable|null $callback = null, \Closure $default = null)
     * @method Visit|$this random(callable|int|null $number = null, bool $preserveKeys = false)
     * @method Visit|null sole(callable|string $key = null, $operator = null, $value = null)
     * @method Visit|null get($key, \Closure $default = null)
     * @method Visit|null first(callable|null $callback = null, \Closure $default = null)
     * @method Visit|null firstWhere(callable|string $key, $operator = null, $value = null)
     * @method Visit|null find($key, $default = null)
     * @method Visit[] all()
     */
    class _IH_Visit_C extends _BaseCollection {
        /**
         * @param int $size
         * @return Visit[][]|Collection<_IH_Visit_C>
         */
        public function chunk($size)
        {
            return [];
        }
    }
    
    /**
     * @method _IH_Visit_QB whereId($value)
     * @method _IH_Visit_QB whereCompanyId($value)
     * @method _IH_Visit_QB whereIndividualId($value)
     * @method _IH_Visit_QB whereCreatedAt($value)
     * @method _IH_Visit_QB whereUpdatedAt($value)
     * @method _IH_Visit_QB whereTemperature($value)
     * @method _IH_Visit_QB whereVaccination($value)
     * @method _IH_Visit_QB whereVaccinationCode($value)
     * @method Visit create(array $attributes = [])
     * @method Visit createOrFirst(array $attributes = [], array $values = [])
     * @method Visit createQuietly(array $attributes = [])
     * @method _IH_Visit_C|Visit[] cursor()
     * @method Visit[] eagerLoadRelations(array $models)
     * @method Visit|null|_IH_Visit_C|Visit[] find($id, array|string $columns = ['*'])
     * @method _IH_Visit_C|Visit[] findMany(array|Arrayable $ids, array|string $columns = ['*'])
     * @method Visit|_IH_Visit_C|Visit[] findOr($id, \Closure|string|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Visit|_IH_Visit_C|Visit[] findOrFail($id, array|string $columns = ['*'])
     * @method Visit|_IH_Visit_C|Visit[] findOrNew($id, array|string $columns = ['*'])
     * @method Visit findSole($id, array|string $columns = ['*'])
     * @method Visit first(array|string $columns = ['*'])
     * @method Visit firstOr(\Closure|string[] $columns = ['*'], \Closure|null $callback = null)
     * @method Visit firstOrCreate(array $attributes = [], array $values = [])
     * @method Visit firstOrFail(array|string $columns = ['*'])
     * @method Visit firstOrNew(array $attributes = [], array $values = [])
     * @method Visit firstWhere(array|\Closure|Expression|string $column, $operator = null, $value = null, string $boolean = 'and')
     * @method Visit forceCreate(array $attributes)
     * @method Visit forceCreateQuietly(array $attributes = [])
     * @method _IH_Visit_C|Visit[] fromQuery(string $query, array $bindings = [])
     * @method _IH_Visit_C|Visit[] get(array|string $columns = ['*'])
     * @method Visit getModel()
     * @method Visit[] getModels(array|string $columns = ['*'])
     * @method _IH_Visit_C|Visit[] hydrate(array $items)
     * @method Visit incrementOrCreate(array $attributes, string $column = 'count', float|int $default = 1, float|int $step = 1, array $extra = [])
     * @method _IH_Visit_C|Visit[] lazy(int $chunkSize = 1000)
     * @method _IH_Visit_C|Visit[] lazyById(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method _IH_Visit_C|Visit[] lazyByIdDesc(int $chunkSize = 1000, null|string $column = null, null|string $alias = null)
     * @method Visit make(array $attributes = [])
     * @method Visit newModelInstance(array $attributes = [])
     * @method LengthAwarePaginator|Visit[]|_IH_Visit_C paginate(\Closure|int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null, \Closure|int|null $total = null)
     * @method Visit restoreOrCreate(array $attributes = [], array $values = [])
     * @method Paginator|Visit[]|_IH_Visit_C simplePaginate(int|null $perPage = null, array|string $columns = ['*'], string $pageName = 'page', int|null $page = null)
     * @method Visit sole(array|string $columns = ['*'])
     * @method Visit updateOrCreate(array $attributes, array $values = [])
     */
    class _IH_Visit_QB extends _BaseBuilder {}
}