<?php //f27916fbd7d888a70538bf5c91cf2318
/** @noinspection all */

namespace App {

    use Database\Factories\MembershipFactory;
    use Database\Factories\PaymentOptionFactory;
    use Database\Factories\Small_groupFactory;
    use Illuminate\Database\Eloquent\Model;
    use Illuminate\Database\Eloquent\Relations\BelongsTo;
    use Illuminate\Database\Eloquent\Relations\HasMany;
    use Illuminate\Database\Eloquent\Relations\MorphToMany;
    use Illuminate\Notifications\DatabaseNotification;
    use Illuminate\Notifications\DatabaseNotificationCollection;
    use Illuminate\Support\Carbon;
    use LaravelIdea\Helper\App\_IH_Admin_C;
    use LaravelIdea\Helper\App\_IH_Admin_QB;
    use LaravelIdea\Helper\App\_IH_Category_C;
    use LaravelIdea\Helper\App\_IH_Category_QB;
    use LaravelIdea\Helper\App\_IH_Cell_C;
    use LaravelIdea\Helper\App\_IH_Cell_QB;
    use LaravelIdea\Helper\App\_IH_Company_C;
    use LaravelIdea\Helper\App\_IH_Company_QB;
    use LaravelIdea\Helper\App\_IH_District_C;
    use LaravelIdea\Helper\App\_IH_District_QB;
    use LaravelIdea\Helper\App\_IH_ExpenseCategory_C;
    use LaravelIdea\Helper\App\_IH_ExpenseCategory_QB;
    use LaravelIdea\Helper\App\_IH_Expense_C;
    use LaravelIdea\Helper\App\_IH_Expense_QB;
    use LaravelIdea\Helper\App\_IH_IndicatorDefinition_C;
    use LaravelIdea\Helper\App\_IH_IndicatorDefinition_QB;
    use LaravelIdea\Helper\App\_IH_Individual_C;
    use LaravelIdea\Helper\App\_IH_Individual_QB;
    use LaravelIdea\Helper\App\_IH_Membership_C;
    use LaravelIdea\Helper\App\_IH_Membership_QB;
    use LaravelIdea\Helper\App\_IH_OfferingType_C;
    use LaravelIdea\Helper\App\_IH_OfferingType_QB;
    use LaravelIdea\Helper\App\_IH_PaymentOption_C;
    use LaravelIdea\Helper\App\_IH_PaymentOption_QB;
    use LaravelIdea\Helper\App\_IH_Province_C;
    use LaravelIdea\Helper\App\_IH_Province_QB;
    use LaravelIdea\Helper\App\_IH_ReportDefinition_C;
    use LaravelIdea\Helper\App\_IH_ReportDefinition_QB;
    use LaravelIdea\Helper\App\_IH_ReportSubmissionData_C;
    use LaravelIdea\Helper\App\_IH_ReportSubmissionData_QB;
    use LaravelIdea\Helper\App\_IH_ReportSubmission_C;
    use LaravelIdea\Helper\App\_IH_ReportSubmission_QB;
    use LaravelIdea\Helper\App\_IH_Sector_C;
    use LaravelIdea\Helper\App\_IH_Sector_QB;
    use LaravelIdea\Helper\App\_IH_Small_group_C;
    use LaravelIdea\Helper\App\_IH_Small_group_QB;
    use LaravelIdea\Helper\App\_IH_Status_C;
    use LaravelIdea\Helper\App\_IH_Status_QB;
    use LaravelIdea\Helper\App\_IH_TitheAndOffering_C;
    use LaravelIdea\Helper\App\_IH_TitheAndOffering_QB;
    use LaravelIdea\Helper\App\_IH_TitheOfferingBase_C;
    use LaravelIdea\Helper\App\_IH_TitheOfferingBase_QB;
    use LaravelIdea\Helper\App\_IH_User_C;
    use LaravelIdea\Helper\App\_IH_User_QB;
    use LaravelIdea\Helper\App\_IH_Village_C;
    use LaravelIdea\Helper\App\_IH_Village_QB;
    use LaravelIdea\Helper\App\_IH_Visit_C;
    use LaravelIdea\Helper\App\_IH_Visit_QB;
    use LaravelIdea\Helper\Illuminate\Notifications\_IH_DatabaseNotification_QB;
    use LaravelIdea\Helper\Spatie\Permission\Models\_IH_Permission_C;
    use LaravelIdea\Helper\Spatie\Permission\Models\_IH_Permission_QB;
    use LaravelIdea\Helper\Spatie\Permission\Models\_IH_Role_C;
    use LaravelIdea\Helper\Spatie\Permission\Models\_IH_Role_QB;
    use Spatie\Permission\Models\Permission;
    use Spatie\Permission\Models\Role;
    
    /**
     * @property int $id
     * @property string $username
     * @property string $password
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_Admin_QB onWriteConnection()
     * @method _IH_Admin_QB newQuery()
     * @method static _IH_Admin_QB on(null|string $connection = null)
     * @method static _IH_Admin_QB query()
     * @method static _IH_Admin_QB with(array|string $relations)
     * @method _IH_Admin_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Admin_C|Admin[] all()
     * @mixin _IH_Admin_QB
     */
    class Admin extends Model {}
    
    /**
     * @property int $id
     * @property string|null $categoryName
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property _IH_Membership_C|Membership[] $memberships
     * @property-read int $memberships_count
     * @method HasMany|_IH_Membership_QB memberships()
     * @method static _IH_Category_QB onWriteConnection()
     * @method _IH_Category_QB newQuery()
     * @method static _IH_Category_QB on(null|string $connection = null)
     * @method static _IH_Category_QB query()
     * @method static _IH_Category_QB with(array|string $relations)
     * @method _IH_Category_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Category_C|Category[] all()
     * @foreignLinks id,\App\Membership,category_id
     * @mixin _IH_Category_QB
     */
    class Category extends Model {}
    
    /**
     * @property int $id
     * @property int $sector_id
     * @property string $name
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property _IH_Membership_C|Membership[] $memberships
     * @property-read int $memberships_count
     * @method HasMany|_IH_Membership_QB memberships()
     * @property Sector $sector
     * @method BelongsTo|_IH_Sector_QB sector()
     * @method static _IH_Cell_QB onWriteConnection()
     * @method _IH_Cell_QB newQuery()
     * @method static _IH_Cell_QB on(null|string $connection = null)
     * @method static _IH_Cell_QB query()
     * @method static _IH_Cell_QB with(array|string $relations)
     * @method _IH_Cell_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Cell_C|Cell[] all()
     * @ownLinks sector_id,\App\Sector,id
     * @foreignLinks id,\App\Village,cell_id|id,\App\Membership,cell_id
     * @mixin _IH_Cell_QB
     */
    class Cell extends Model {}
    
    /**
     * @property int $id
     * @property string $name
     * @property string $tin
     * @property string $address
     * @property string $email
     * @property string $password
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property string|null $code
     * @property _IH_ExpenseCategory_C|ExpenseCategory[] $expenseCategories
     * @property-read int $expense_categories_count
     * @method HasMany|_IH_ExpenseCategory_QB expenseCategories()
     * @property _IH_Expense_C|Expense[] $expenses
     * @property-read int $expenses_count
     * @method HasMany|_IH_Expense_QB expenses()
     * @property _IH_Membership_C|Membership[] $memberships
     * @property-read int $memberships_count
     * @method HasMany|_IH_Membership_QB memberships()
     * @method static _IH_Company_QB onWriteConnection()
     * @method _IH_Company_QB newQuery()
     * @method static _IH_Company_QB on(null|string $connection = null)
     * @method static _IH_Company_QB query()
     * @method static _IH_Company_QB with(array|string $relations)
     * @method _IH_Company_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Company_C|Company[] all()
     * @foreignLinks id,\App\Visit,company_id|id,\App\User,company_id|id,\App\ReportDefinition,company_id|id,\App\IndicatorDefinition,company_id|id,\App\Membership,company_id|id,\App\TitheAndOffering,CompanyId|id,\App\PaymentOption,CompanyId|id,\App\OfferingType,CompanyId|id,\App\Small_group,company_id|id,\App\ExpenseCategory,company_id|id,\App\Expense,company_id|id,\App\TitheOfferingBase,company_id
     * @mixin _IH_Company_QB
     */
    class Company extends Model {}
    
    /**
     * @property int $id
     * @property int $province_id
     * @property string $name
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property _IH_Membership_C|Membership[] $memberships
     * @property-read int $memberships_count
     * @method HasMany|_IH_Membership_QB memberships()
     * @method static _IH_District_QB onWriteConnection()
     * @method _IH_District_QB newQuery()
     * @method static _IH_District_QB on(null|string $connection = null)
     * @method static _IH_District_QB query()
     * @method static _IH_District_QB with(array|string $relations)
     * @method _IH_District_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_District_C|District[] all()
     * @ownLinks province_id,\App\Province,id
     * @foreignLinks id,\App\Sector,district_id|id,\App\Membership,district_id
     * @mixin _IH_District_QB
     */
    class District extends Model {}
    
    /**
     * @property int $id
     * @property int|null $expense_category_id
     * @property string $expense_name
     * @property int $amount
     * @property string $description
     * @property string $requested_by
     * @property int|null $company_id
     * @property Carbon $expense_date
     * @property Company|null $churches
     * @method BelongsTo|_IH_Company_QB churches()
     * @property ExpenseCategory|null $expenseCat
     * @method BelongsTo|_IH_ExpenseCategory_QB expenseCat()
     * @method static _IH_Expense_QB onWriteConnection()
     * @method _IH_Expense_QB newQuery()
     * @method static _IH_Expense_QB on(null|string $connection = null)
     * @method static _IH_Expense_QB query()
     * @method static _IH_Expense_QB with(array|string $relations)
     * @method _IH_Expense_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Expense_C|Expense[] all()
     * @ownLinks company_id,\App\Company,id
     * @mixin _IH_Expense_QB
     */
    class Expense extends Model {}
    
    /**
     * @property int $id
     * @property string $category_name
     * @property int|null $company_id
     * @property Company|null $company
     * @method BelongsTo|_IH_Company_QB company()
     * @method static _IH_ExpenseCategory_QB onWriteConnection()
     * @method _IH_ExpenseCategory_QB newQuery()
     * @method static _IH_ExpenseCategory_QB on(null|string $connection = null)
     * @method static _IH_ExpenseCategory_QB query()
     * @method static _IH_ExpenseCategory_QB with(array|string $relations)
     * @method _IH_ExpenseCategory_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_ExpenseCategory_C|ExpenseCategory[] all()
     * @ownLinks company_id,\App\Company,id
     * @mixin _IH_ExpenseCategory_QB
     */
    class ExpenseCategory extends Model {}
    
    /**
     * @property int $id
     * @property int $report_id
     * @property int $company_id
     * @property string $indicator_name
     * @property string $indicator_value_type
     * @property array|null $drop_down_data_source
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Company $company
     * @method BelongsTo|_IH_Company_QB company()
     * @property ReportDefinition $report
     * @method BelongsTo|_IH_ReportDefinition_QB report()
     * @method static _IH_IndicatorDefinition_QB onWriteConnection()
     * @method _IH_IndicatorDefinition_QB newQuery()
     * @method static _IH_IndicatorDefinition_QB on(null|string $connection = null)
     * @method static _IH_IndicatorDefinition_QB query()
     * @method static _IH_IndicatorDefinition_QB with(array|string $relations)
     * @method _IH_IndicatorDefinition_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_IndicatorDefinition_C|IndicatorDefinition[] all()
     * @ownLinks report_id,\App\ReportDefinition,id|company_id,\App\Company,id
     * @foreignLinks id,\App\ReportSubmissionData,indicator_id
     * @mixin _IH_IndicatorDefinition_QB
     */
    class IndicatorDefinition extends Model {}
    
    /**
     * @property int $id
     * @property string $phone
     * @property string $names
     * @property int $village_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property string|null $code
     * @property string|null $password
     * @property Village $village
     * @method BelongsTo|_IH_Village_QB village()
     * @method static _IH_Individual_QB onWriteConnection()
     * @method _IH_Individual_QB newQuery()
     * @method static _IH_Individual_QB on(null|string $connection = null)
     * @method static _IH_Individual_QB query()
     * @method static _IH_Individual_QB with(array|string $relations)
     * @method _IH_Individual_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Individual_C|Individual[] all()
     * @ownLinks village_id,\App\Village,id
     * @foreignLinks id,\App\Visit,individual_id
     * @mixin _IH_Individual_QB
     */
    class Individual extends Model {}
    
    /**
     * @property int $id
     * @property int $company_id
     * @property string $firstname
     * @property string $lastname
     * @property string|null $phone_number
     * @property int|null $district_id
     * @property int|null $sector_id
     * @property int|null $cell_id
     * @property int|null $village_id
     * @property int|null $category_id
     * @property int|null $status_id
     * @property int|null $church_register_page
     * @property int|null $small_group_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Carbon|null $membership_date
     * @property string|null $origin_church
     * @property string|null $observation
     * @property string|null $employment_status
     * @property string|null $marital_status
     * @property string|null $phone_number_2
     * @property Category|null $categories
     * @method BelongsTo|_IH_Category_QB categories()
     * @property Cell|null $cells
     * @method BelongsTo|_IH_Cell_QB cells()
     * @property Company $companies
     * @method BelongsTo|_IH_Company_QB companies()
     * @property District|null $districts
     * @method BelongsTo|_IH_District_QB districts()
     * @property Sector|null $sectors
     * @method BelongsTo|_IH_Sector_QB sectors()
     * @property Small_group|null $smallgroups
     * @method BelongsTo|_IH_Small_group_QB smallgroups()
     * @property Status|null $statuses
     * @method BelongsTo|_IH_Status_QB statuses()
     * @property Village|null $villages
     * @method BelongsTo|_IH_Village_QB villages()
     * @method static _IH_Membership_QB onWriteConnection()
     * @method _IH_Membership_QB newQuery()
     * @method static _IH_Membership_QB on(null|string $connection = null)
     * @method static _IH_Membership_QB query()
     * @method static _IH_Membership_QB with(array|string $relations)
     * @method _IH_Membership_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Membership_C|Membership[] all()
     * @ownLinks company_id,\App\Company,id|small_group_id,\App\Small_group,id|district_id,\App\District,id|cell_id,\App\Cell,id|village_id,\App\Village,id|status_id,\App\Status,id|category_id,\App\Category,id|sector_id,\App\Sector,id
     * @foreignLinks id,\App\TitheAndOffering,MemberId
     * @mixin _IH_Membership_QB
     * @method static MembershipFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class Membership extends Model {}
    
    /**
     * @property int $id
     * @property int $CompanyId
     * @property string $OfferingName
     * @property bool $Is_Active
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Company $company
     * @method BelongsTo|_IH_Company_QB company()
     * @method static _IH_OfferingType_QB onWriteConnection()
     * @method _IH_OfferingType_QB newQuery()
     * @method static _IH_OfferingType_QB on(null|string $connection = null)
     * @method static _IH_OfferingType_QB query()
     * @method static _IH_OfferingType_QB with(array|string $relations)
     * @method _IH_OfferingType_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_OfferingType_C|OfferingType[] all()
     * @ownLinks CompanyId,\App\Company,id
     * @foreignLinks id,\App\TitheAndOffering,OfferingTypeId
     * @mixin _IH_OfferingType_QB
     */
    class OfferingType extends Model {}
    
    /**
     * @property int $id
     * @property int $CompanyId
     * @property string $PaymentOption
     * @property bool $Is_Active
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Company $company
     * @method BelongsTo|_IH_Company_QB company()
     * @method static _IH_PaymentOption_QB onWriteConnection()
     * @method _IH_PaymentOption_QB newQuery()
     * @method static _IH_PaymentOption_QB on(null|string $connection = null)
     * @method static _IH_PaymentOption_QB query()
     * @method static _IH_PaymentOption_QB with(array|string $relations)
     * @method _IH_PaymentOption_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_PaymentOption_C|PaymentOption[] all()
     * @ownLinks CompanyId,\App\Company,id
     * @foreignLinks id,\App\TitheAndOffering,PaymentOptionId
     * @mixin _IH_PaymentOption_QB
     * @method static PaymentOptionFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class PaymentOption extends Model {}
    
    /**
     * @property int $id
     * @property string $name
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_Province_QB onWriteConnection()
     * @method _IH_Province_QB newQuery()
     * @method static _IH_Province_QB on(null|string $connection = null)
     * @method static _IH_Province_QB query()
     * @method static _IH_Province_QB with(array|string $relations)
     * @method _IH_Province_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Province_C|Province[] all()
     * @foreignLinks id,\App\District,province_id
     * @mixin _IH_Province_QB
     */
    class Province extends Model {}
    
    /**
     * @property int $id
     * @property int $company_id
     * @property string $report_name
     * @property string $frequency
     * @property bool $is_active
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Company $company
     * @method BelongsTo|_IH_Company_QB company()
     * @property _IH_IndicatorDefinition_C|IndicatorDefinition[] $indicators
     * @property-read int $indicators_count
     * @method HasMany|_IH_IndicatorDefinition_QB indicators()
     * @method static _IH_ReportDefinition_QB onWriteConnection()
     * @method _IH_ReportDefinition_QB newQuery()
     * @method static _IH_ReportDefinition_QB on(null|string $connection = null)
     * @method static _IH_ReportDefinition_QB query()
     * @method static _IH_ReportDefinition_QB with(array|string $relations)
     * @method _IH_ReportDefinition_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_ReportDefinition_C|ReportDefinition[] all()
     * @ownLinks company_id,\App\Company,id
     * @foreignLinks id,\App\ReportSubmission,report_id|id,\App\IndicatorDefinition,report_id
     * @mixin _IH_ReportDefinition_QB
     */
    class ReportDefinition extends Model {}
    
    /**
     * @property int $id
     * @property int $report_id
     * @property int $submitted_by
     * @property Carbon|null $date
     * @property int|null $month
     * @property int|null $quarter
     * @property int|null $year
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property string $status
     * @property int|null $small_group_id
     * @property _IH_ReportSubmissionData_C|ReportSubmissionData[] $data
     * @property-read int $data_count
     * @method HasMany|_IH_ReportSubmissionData_QB data()
     * @property ReportDefinition $report
     * @method BelongsTo|_IH_ReportDefinition_QB report()
     * @property User $user
     * @method BelongsTo|_IH_User_QB user()
     * @method static _IH_ReportSubmission_QB onWriteConnection()
     * @method _IH_ReportSubmission_QB newQuery()
     * @method static _IH_ReportSubmission_QB on(null|string $connection = null)
     * @method static _IH_ReportSubmission_QB query()
     * @method static _IH_ReportSubmission_QB with(array|string $relations)
     * @method _IH_ReportSubmission_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_ReportSubmission_C|ReportSubmission[] all()
     * @ownLinks report_id,\App\ReportDefinition,id|submitted_by,\App\User,id|small_group_id,\App\Small_group,id
     * @foreignLinks id,\App\ReportSubmissionData,submission_id
     * @mixin _IH_ReportSubmission_QB
     */
    class ReportSubmission extends Model {}
    
    /**
     * @property int $id
     * @property int $submission_id
     * @property int $indicator_id
     * @property string $indicator_value
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @method static _IH_ReportSubmissionData_QB onWriteConnection()
     * @method _IH_ReportSubmissionData_QB newQuery()
     * @method static _IH_ReportSubmissionData_QB on(null|string $connection = null)
     * @method static _IH_ReportSubmissionData_QB query()
     * @method static _IH_ReportSubmissionData_QB with(array|string $relations)
     * @method _IH_ReportSubmissionData_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_ReportSubmissionData_C|ReportSubmissionData[] all()
     * @ownLinks submission_id,\App\ReportSubmission,id|indicator_id,\App\IndicatorDefinition,id
     * @mixin _IH_ReportSubmissionData_QB
     */
    class ReportSubmissionData extends Model {}
    
    /**
     * @property int $id
     * @property int $district_id
     * @property string $name
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property District $district
     * @method BelongsTo|_IH_District_QB district()
     * @property _IH_Membership_C|Membership[] $memberships
     * @property-read int $memberships_count
     * @method HasMany|_IH_Membership_QB memberships()
     * @method static _IH_Sector_QB onWriteConnection()
     * @method _IH_Sector_QB newQuery()
     * @method static _IH_Sector_QB on(null|string $connection = null)
     * @method static _IH_Sector_QB query()
     * @method static _IH_Sector_QB with(array|string $relations)
     * @method _IH_Sector_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Sector_C|Sector[] all()
     * @ownLinks district_id,\App\District,id
     * @foreignLinks id,\App\Cell,sector_id|id,\App\Membership,sector_id
     * @mixin _IH_Sector_QB
     */
    class Sector extends Model {}
    
    /**
     * @property int $id
     * @property string $group_name
     * @property string|null $group_leader
     * @property string|null $leader_phone_number
     * @property string|null $description
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property int|null $company_id
     * @property _IH_Membership_C|Membership[] $memberships
     * @property-read int $memberships_count
     * @method HasMany|_IH_Membership_QB memberships()
     * @method static _IH_Small_group_QB onWriteConnection()
     * @method _IH_Small_group_QB newQuery()
     * @method static _IH_Small_group_QB on(null|string $connection = null)
     * @method static _IH_Small_group_QB query()
     * @method static _IH_Small_group_QB with(array|string $relations)
     * @method _IH_Small_group_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Small_group_C|Small_group[] all()
     * @ownLinks company_id,\App\Company,id
     * @foreignLinks id,\App\Membership,small_group_id|id,\App\User,small_group_id|id,\App\ReportSubmission,small_group_id
     * @mixin _IH_Small_group_QB
     * @method static Small_groupFactory factory(callable|int|mixed[]|null $count = null, callable|mixed[] $state = [])
     */
    class Small_group extends Model {}
    
    /**
     * @property int $id
     * @property string $statusName
     * @property bool $is_active
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property _IH_Membership_C|Membership[] $memberships
     * @property-read int $memberships_count
     * @method HasMany|_IH_Membership_QB memberships()
     * @method static _IH_Status_QB onWriteConnection()
     * @method _IH_Status_QB newQuery()
     * @method static _IH_Status_QB on(null|string $connection = null)
     * @method static _IH_Status_QB query()
     * @method static _IH_Status_QB with(array|string $relations)
     * @method _IH_Status_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Status_C|Status[] all()
     * @foreignLinks id,\App\Membership,status_id
     * @mixin _IH_Status_QB
     */
    class Status extends Model {}
    
    /**
     * @property int $id
     * @property int $CompanyId
     * @property int $MemberId
     * @property int $OfferingTypeId
     * @property float $Amount
     * @property int $PaymentOptionId
     * @property Carbon $Date
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property string|null $member_names
     * @property string|null $member_phone
     * @property string|null $txn_id
     * @property string|null $txn_ref
     * @property int|null $tithe_offering_base_id
     * @property Company $company
     * @method BelongsTo|_IH_Company_QB company()
     * @property Membership $member
     * @method BelongsTo|_IH_Membership_QB member()
     * @property OfferingType $offering
     * @method BelongsTo|_IH_OfferingType_QB offering()
     * @property PaymentOption $payment
     * @method BelongsTo|_IH_PaymentOption_QB payment()
     * @method static _IH_TitheAndOffering_QB onWriteConnection()
     * @method _IH_TitheAndOffering_QB newQuery()
     * @method static _IH_TitheAndOffering_QB on(null|string $connection = null)
     * @method static _IH_TitheAndOffering_QB query()
     * @method static _IH_TitheAndOffering_QB with(array|string $relations)
     * @method _IH_TitheAndOffering_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_TitheAndOffering_C|TitheAndOffering[] all()
     * @ownLinks CompanyId,\App\Company,id|MemberId,\App\Membership,id|PaymentOptionId,\App\PaymentOption,id|OfferingTypeId,\App\OfferingType,id|tithe_offering_base_id,\App\TitheOfferingBase,id
     * @mixin _IH_TitheAndOffering_QB
     */
    class TitheAndOffering extends Model {}
    
    /**
     * @property int $id
     * @property int $user_id
     * @property string $source
     * @property int $company_id
     * @property string $status
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property-read string $status_color attribute
     * @property Company $company
     * @method BelongsTo|_IH_Company_QB company()
     * @property _IH_TitheAndOffering_C|TitheAndOffering[] $titheOfferings
     * @property-read int $tithe_offerings_count
     * @method HasMany|_IH_TitheAndOffering_QB titheOfferings()
     * @property User $user
     * @method BelongsTo|_IH_User_QB user()
     * @method static _IH_TitheOfferingBase_QB onWriteConnection()
     * @method _IH_TitheOfferingBase_QB newQuery()
     * @method static _IH_TitheOfferingBase_QB on(null|string $connection = null)
     * @method static _IH_TitheOfferingBase_QB query()
     * @method static _IH_TitheOfferingBase_QB with(array|string $relations)
     * @method _IH_TitheOfferingBase_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_TitheOfferingBase_C|TitheOfferingBase[] all()
     * @ownLinks user_id,\App\User,id|company_id,\App\Company,id
     * @foreignLinks id,\App\TitheAndOffering,tithe_offering_base_id
     * @mixin _IH_TitheOfferingBase_QB
     */
    class TitheOfferingBase extends Model {}
    
    /**
     * @property int $id
     * @property string $name
     * @property string $email
     * @property Carbon|null $email_verified_at
     * @property string $password
     * @property string|null $remember_token
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property int|null $company_id
     * @property bool $is_admin
     * @property bool $is_active
     * @property string|null $code
     * @property int|null $small_group_id
     * @property Company|null $company
     * @method BelongsTo|_IH_Company_QB company()
     * @property DatabaseNotificationCollection|DatabaseNotification[] $notifications
     * @property-read int $notifications_count
     * @method MorphToMany|_IH_DatabaseNotification_QB notifications()
     * @property _IH_Permission_C|Permission[] $permissions
     * @property-read int $permissions_count
     * @method MorphToMany|_IH_Permission_QB permissions()
     * @property DatabaseNotificationCollection|DatabaseNotification[] $readNotifications
     * @property-read int $read_notifications_count
     * @method MorphToMany|_IH_DatabaseNotification_QB readNotifications()
     * @property _IH_Role_C|Role[] $roles
     * @property-read int $roles_count
     * @method MorphToMany|_IH_Role_QB roles()
     * @property Small_group|null $smallGroup
     * @method BelongsTo|_IH_Small_group_QB smallGroup()
     * @property DatabaseNotificationCollection|DatabaseNotification[] $unreadNotifications
     * @property-read int $unread_notifications_count
     * @method MorphToMany|_IH_DatabaseNotification_QB unreadNotifications()
     * @method static _IH_User_QB onWriteConnection()
     * @method _IH_User_QB newQuery()
     * @method static _IH_User_QB on(null|string $connection = null)
     * @method static _IH_User_QB query()
     * @method static _IH_User_QB with(array|string $relations)
     * @method _IH_User_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_User_C|User[] all()
     * @ownLinks company_id,\App\Company,id|small_group_id,\App\Small_group,id
     * @foreignLinks id,\App\ReportSubmission,submitted_by|id,\App\TitheOfferingBase,user_id
     * @mixin _IH_User_QB
     */
    class User extends Model {}
    
    /**
     * @property int $id
     * @property int $cell_id
     * @property string $name
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property Cell $cell
     * @method BelongsTo|_IH_Cell_QB cell()
     * @property _IH_Membership_C|Membership[] $memberships
     * @property-read int $memberships_count
     * @method HasMany|_IH_Membership_QB memberships()
     * @method static _IH_Village_QB onWriteConnection()
     * @method _IH_Village_QB newQuery()
     * @method static _IH_Village_QB on(null|string $connection = null)
     * @method static _IH_Village_QB query()
     * @method static _IH_Village_QB with(array|string $relations)
     * @method _IH_Village_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Village_C|Village[] all()
     * @ownLinks cell_id,\App\Cell,id
     * @foreignLinks id,\App\Individual,village_id|id,\App\Membership,village_id
     * @mixin _IH_Village_QB
     */
    class Village extends Model {}
    
    /**
     * @property int $id
     * @property int $company_id
     * @property int $individual_id
     * @property Carbon|null $created_at
     * @property Carbon|null $updated_at
     * @property float $temperature
     * @property string|null $vaccination
     * @property string|null $vaccination_code
     * @property Company $company
     * @method BelongsTo|_IH_Company_QB company()
     * @property Individual $individual
     * @method BelongsTo|_IH_Individual_QB individual()
     * @method static _IH_Visit_QB onWriteConnection()
     * @method _IH_Visit_QB newQuery()
     * @method static _IH_Visit_QB on(null|string $connection = null)
     * @method static _IH_Visit_QB query()
     * @method static _IH_Visit_QB with(array|string $relations)
     * @method _IH_Visit_QB newModelQuery()
     * @method false|int increment(string $column, float|int $amount = 1, array $extra = [])
     * @method false|int decrement(string $column, float|int $amount = 1, array $extra = [])
     * @method static _IH_Visit_C|Visit[] all()
     * @ownLinks company_id,\App\Company,id|individual_id,\App\Individual,id
     * @mixin _IH_Visit_QB
     */
    class Visit extends Model {}
}